name = ChooseTranslationTable({"Charlie Refresh", zh="重置版查理"}) 
description = ChooseTranslationTable({"This refreshed-version mod introduces a new character Charlie. Witness her journey to find a magician and gain new abilities from it. Co-produced by the following authors: Lone/AmaLee/Desblat/Miserable Orange/WL", zh="这个重置版本的模组引入了一个新角色：查理。见证她寻找魔术师并从中获得新能力的旅程。由以下作者联合制作：Lone/AmaLee/Desblat/Miserable Orange/WL"})                 
author = "WL/Lone/AmaLee/Desblat" 
version = "5.8.6"   

forumthread = ""
--https://steamcommunity.com/sharedfiles/filedetails/?id=2482794885

api_version = 6
priority = -999999999999999

dont_starve_compatible = true 
reign_of_giants_compatible = true 
shipwrecked_compatible = true 
hamlet_compatible = true 
dst_compatible = false 

icon_atlas = "modicon.xml"
icon = "modicon.tex"

configuration_options =
{
    {
		name    = "Language",  
		label   = ChooseTranslationTable({"Language", zh="语言"}),
		hover = ChooseTranslationTable({"Choose which Language used for this mod. Currently only support English and Chinese.", zh="选择此模组使用的语言。目前只支持英文和中文。"}),
		options =
		{   --If there will be more languages, boolean need to be changed to string. Following that comments out is an example.
			{description = "English", data = true},
			{description = "简体中文", data = false},
			--[[
			{description = "English", data = "English"},
			{description = "简体中文", data = "Simplified Chinese"},
			{description = "繁體中文", data = "Traditional Chinese"},
			{description = "日本語", data = "Japanese"},
			{description = "Deutsch", data = "German"},
			{description = "Français", data = "French"},
			{description = "Italiano", data = "Italian"},
			{description = "한글", data = "Korean"},
			{description = "Español", data = "Spanish"},
			{description = "Português", data = "Portuguese"},
			{description = "Português Brasileiro", data = "Brazilian Portuguese"},
			]]
		},
		default = true,
	},	
    {
		name    = "overlay_insane_screen_enabled",  
		label   = ChooseTranslationTable({"Disable Low Sanity Effects", zh="禁用低理智效果"}),
		hover = ChooseTranslationTable({"For the things like tentacles around the screen when being insane.", zh="对于疯狂时屏幕周围的触手之类的东西。"}),
		options =
		{
			{description = ChooseTranslationTable({"Yes", zh="是"}), data = 0},
			{description = ChooseTranslationTable({ChooseTranslationTable({"No", zh="否"}), zh="否"}), data = 1},
		},
		default = 0,
	},
	{
        name = "Hide Charlie Hats",     
		label   = ChooseTranslationTable({"Invisible Hats For Charlie", zh="隐藏查理的帽子"}),
		hover = ChooseTranslationTable({"Hide all kinds of equipped hats for better visibility into Charlie's skin.", zh="隐藏各种装备的帽子以便更好地观察查理的皮肤。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({ChooseTranslationTable({"No", zh="否"}), zh="否"}), data = false},			
		},
        default = false,
	},
	{
        name = "Grue Voice",       
		label = ChooseTranslationTable({"Shadow Charlie Grue Voice", zh="暗影查理可怕嗓音"}),
		hover = ChooseTranslationTable({"Enable the horror voice when Shadow Charlie talks.", zh="启用暗影查理说话时的恐怖嗓音。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({ChooseTranslationTable({"No", zh="否"}), zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "tar_key",      
        label = ChooseTranslationTable({"Skin Menu Key", zh="皮肤界面按键"}),
		hover = ChooseTranslationTable({"Choose which pressed key to enable the Skin Changing Screen.", zh="选择按下哪个键启用皮肤更改屏幕。"}),
        options =
        {
            {description="TAB", data = 9},
            {description="KP_PERIOD", data = 266},
            {description="KP_DIVIDE", data = 267},
            {description="KP_MULTIPLY", data = 268},
            {description="KP_MINUS", data = 269},
            {description="KP_PLUS", data = 270},
            {description="KP_ENTER", data = 271},
            {description="KP_EQUALS", data = 272},
            {description="MINUS", data = 45},
            {description="EQUALS", data = 61},
            {description="SPACE", data = 32},
            {description="ENTER", data = 13},
            {description="ESCAPE", data = 27},
            {description="HOME", data = 278},
            {description="INSERT", data = 277},
            {description="DELETE", data = 127},
            {description="END", data   = 279},
            {description="PAUSE", data = 19},
            {description="PRINT", data = 316},
            {description="CAPSLOCK", data = 301},
            {description="SCROLLOCK", data = 302},
            {description="RSHIFT", data = 303}, 
            {description="LSHIFT", data = 304}, 
            {description="RCTRL", data = 305}, 
            {description="LCTRL", data = 306}, 
            {description="RALT", data = 307}, 
            {description="LALT", data = 308}, 
            {description="ALT", data = 400},
            {description="CTRL", data = 401},
            {description="SHIFT", data = 402},
            {description="BACKSPACE", data = 8},
            {description="PERIOD", data = 46},
            {description="SLASH", data = 47},
            {description="LEFTBRACKET", data     = 91},
            {description="BACKSLASH", data     = 92},
            {description="RIGHTBRACKET", data = 93},
            {description="TILDE", data = 96},
            {description="A", data = 97},
            {description="B", data = 98},
            {description="C", data = 99},
            {description="D", data = 100},
            {description="E", data = 101},
            {description="F", data = 102},
            {description="G", data = 103},
            {description="H", data = 104},
            {description="I", data = 105},
            {description="J", data = 106},
            {description="K", data = 107},
            {description="L", data = 108},
            {description="M", data = 109},
            {description="N", data = 110},
            {description="O", data = 111},
            {description="P", data = 112},
            {description="Q", data = 113},
            {description="R", data = 114},
            {description="S", data = 115},
            {description="T", data = 116},
            {description="U", data = 117},
            {description="V", data = 118},
            {description="W", data = 119},
            {description="X", data = 120},
            {description="Y", data = 121},
            {description="Z", data = 122},
            {description="F1", data = 282},
            {description="F2", data = 283},
            {description="F3", data = 284},
            {description="F4", data = 285},
            {description="F5", data = 286},
            {description="F6", data = 287},
            {description="F7", data = 288},
            {description="F8", data = 289},
            {description="F9", data = 290},
            {description="F10", data = 291},
            {description="F11", data = 292},
            {description="F12", data = 293},
 
            {description="UP", data = 273},
            {description="DOWN", data = 274},
            {description="RIGHT", data = 275},
            {description="LEFT", data = 276},
            {description="PAGEUP", data = 280},
            {description="PAGEDOWN", data = 281},
 
            {description="0", data = 48},
            {description="1", data = 49},
            {description="2", data = 50},
            {description="3", data = 51},
            {description="4", data = 52},
            {description="5", data = 53},
            {description="6", data = 54},
            {description="7", data = 55},
            {description="8", data = 56},
            {description="9", data = 57},
        },
        default = 122,
    },
	{
        name = "shadow_charlie_anim_colour_mult",      
		label = ChooseTranslationTable({"Shadow Appearance", zh="暗影外观"}),
		hover = ChooseTranslationTable({"Choose Shadow Charlie's degree of visibility.", zh="选择暗影查理的可见度。"}),
        options =
        {
            {description = ChooseTranslationTable({"Transparent", zh="透明"}), data = 0},
			{description = ChooseTranslationTable({"Normal", zh="标准"}), data = 1},	
			{description = ChooseTranslationTable({"Moderate", zh="适中"}), data = 0.5},	
		},
        default = 0.5,
    },
	{
        name = "Void Avoid",      
		label = ChooseTranslationTable({"Void Avoid", zh="避免卡虚空"}),
		hover = ChooseTranslationTable({"Stop player from entering RoG's ocean, Cave's abyss, and Hamlet's cloud.", zh="阻止玩家进入巨人国海洋、洞穴虚空以及猪镇云层。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Destroyable Campfire",       
		label = ChooseTranslationTable({"Destroyable Campfire", zh="可摧毁的营火"}),       
		hover = ChooseTranslationTable({"Make the campfire destroyable through some mobs.", zh="使营火可通过某些生物摧毁。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Friendly Plants",       
		label = ChooseTranslationTable({"Friendly Plants", zh="友好植物"}),
		hover = ChooseTranslationTable({"All kinds of plant-like mobs keep friendly to each other.", zh="所有种类的植物样生物对彼此保持友好。"}),      
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Boss Change",      
		label = ChooseTranslationTable({"Boss Change", zh="头目更改"}),      
		hover = ChooseTranslationTable({"All kinds of epic mobs keep friendly to each other.", zh="所有种类的史诗级生物对彼此保持友好。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Eggplant Buff",       
		label = ChooseTranslationTable({"Eggplant Buff", zh="茄子增强"}),      
		hover = ChooseTranslationTable({"Buff Eggplant and its dish through various methods.", zh="通过各种方式增强茄子及其料理。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Ghost Buff",        
		label = ChooseTranslationTable({"Ghost Buff", zh="鬼魂增强"}),      
		hover = ChooseTranslationTable({"All kinds of ghost ignore armor when attacking.", zh="所有种类的的鬼魂在攻击时无视护甲。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Hackable Bramble",      
		label = ChooseTranslationTable({"Hackable Bramble", zh="可砍的荆棘"}),
        hover = ChooseTranslationTable({"Brambles can be destroyed through three hacks of Machete.", zh="荆棘可以通过砍刀三砍来摧毁。"}),		
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Shearable Bramble",      
		label = ChooseTranslationTable({"Shearable Bramble", zh="可剪的荆棘"}),      
		hover = ChooseTranslationTable({"Brambles can be destroyed through Shears.", zh="荆棘可以通过剪刀来摧毁。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },	
	{
        name = "VineDropVine",       
		label = ChooseTranslationTable({"Vine Drop Vine", zh="藤蔓掉落藤蔓"}),      
		hover = ChooseTranslationTable({"Hanging Vines have a chance to drop vine on death.", zh="垂下的藤蔓在死亡时有几率掉落藤蔓。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Scepter Buff",        
		label = ChooseTranslationTable({"Scepter Buff", zh="权杖增强"}),      
		hover = ChooseTranslationTable({"Regal Scepter increases sanity when being equipped.", zh="帝王权杖在装备时增加理智。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },	
	{
        name = "Ash Gust Blow",       
		label = ChooseTranslationTable({"Ash Gust Blow", zh="灰烬风吹"}),      
		hover = ChooseTranslationTable({"Ashes can be blowed by SW or HAM's gust.", zh="灰烬可以被海难或猪镇的风所吹。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },	
	{
        name = "New Year Items",       
		label = ChooseTranslationTable({"New Year Items", zh="新年物品"}), 
        hover = ChooseTranslationTable({"Add some New Year items from DST.", zh="添加一些来自饥荒联机的新年物品。"}),		
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Additional Plants",      
		label = ChooseTranslationTable({"Additional Plants", zh="额外植物"}), 
        hover = ChooseTranslationTable({"Add some DST exclusive plants.", zh="添加一些饥荒联机专属的植物。"}),		
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },
	{
        name = "Throne",      
		label = ChooseTranslationTable({"Throne", zh="王座"}),     
		hover = ChooseTranslationTable({"Enable the appearance of throne in the world.", zh="开启王座在世界上的出现。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = true,
    },	
	{
        name = "Starting Skin",       
		label = ChooseTranslationTable({"Starting Skin", zh="开局皮肤"}),   
        hover = ChooseTranslationTable({"Automatically change the selected skin at the beginning of the game.", zh="在游戏开始时自动更改选中的皮肤。"}),		
        options =
        {
            {description = ChooseTranslationTable({"Normal", zh="标准"}), data = "charlie"},
			{description = ChooseTranslationTable({"The Roseate", zh="玫瑰"}), data = "charlie_rose"},	
			{description = ChooseTranslationTable({"Guest of Honor", zh="贵宾"}), data = "charlie_goh"},
			{description = ChooseTranslationTable({"Shadow Queen", zh="暗影女王"}), data = "charlie_queen"},
			{description = ChooseTranslationTable({"Survivor", zh="幸存者"}), data = "charlie_survivor"},
			{description = ChooseTranslationTable({"The Gladiator", zh="角斗士"}), data = "charlie_gladiator"},	
			{description = ChooseTranslationTable({"High Tide", zh="满潮"}), data = "charlie_hightide"},
		},
        default = "charlie",
    },	
	{
        name = "Starting Portal",       
		label = ChooseTranslationTable({"Starting Portal", zh="开局门"}),
        hover = ChooseTranslationTable({"Spawns Florid Postern at the beginning of the game.", zh="在游戏开始时生成绚丽之门。"}),
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = false,
    },	
	{
        name = "Starting Machete in SW",       
		label = ChooseTranslationTable({"Starting Machete In SW", zh="海难开局砍刀"}),  
        hover = ChooseTranslationTable({"Spawns a machete near player at the beginning of Shipwrecked world.", zh="海难世界开始时在玩家附近生成砍刀。"}),		
        options =
        {
            {description = ChooseTranslationTable({"Yes", zh="是"}), data = true},
			{description = ChooseTranslationTable({"No", zh="否"}), data = false},		
		},
        default = false,
    },	
	{
        name = "puddle_spawn",       
		label = ChooseTranslationTable({"Puddle", zh="水坑"}),   
        hover = ChooseTranslationTable({"Choose the frequency at which the puddles appear.", zh="选择水坑出现的频率。"}),		
        options =
        {
            {description = ChooseTranslationTable({"Never", zh="无"}), data = 0},
			{description = ChooseTranslationTable({"Very Slow", zh="非常慢"}), data = 960},
			{description = ChooseTranslationTable({"Slow", zh="慢"}), data = 480},
			{description = ChooseTranslationTable({"Default", zh="默认"}), data = 240},
			{description = ChooseTranslationTable({"Fast", zh="快"}), data = 120},
			{description = ChooseTranslationTable({"Very Fast", zh="非常快"}), data = 60},				
		},
        default = 240,
    },
}