local Conjurable = Class(function(self, inst)
    self.inst = inst
	
	inst:AddTag("_conjurable")
end)

function Conjurable:CollectSceneActions(doer, actions, right)
	if right and doer and doer:HasTag("former_magician_assistant") then 
		table.insert(actions, ACTIONS.CONJURE)
	end
end

function Conjurable:CollectInventoryActions(doer, actions)
    if doer and doer:HasTag("former_magician_assistant") and doer:HasTag("ready_to_play_tricks") then
        table.insert(actions, ACTIONS.CONJURE)
    end
end

return Conjurable