local MagicContainerInventory = Class(function(self, inst)
	self.inst = inst
	
	inst:AddTag("possess_with_magic_container")
	
	self.inst:DoTaskInTime(0, function() 
	    self:CheckMagicChest() 
	end)
end)

function MagicContainerInventory:OnSave()

end

function MagicContainerInventory:OnLoad(data)

end

function MagicContainerInventory:LoadPostPass(ents, data)

end

function MagicContainerInventory:LongUpdate(dt)

end

function MagicContainerInventory:OnUpdate(dt)

end

function MagicContainerInventory:empty(target)
	if target == nil or target.components.container == nil then 
	    return
	end
	if not self.magicchest then  
	    if TheSim:FindFirstEntityWithTag("main_magic_chest") then
		    self.magicchest = TheSim:FindFirstEntityWithTag("main_magic_chest")
		else
		    self.magicchest = SpawnPrefab("magic_chest")
		end
	end
	local t_cont = target.components.container
	local cont = self.magicchest.components.container
	if t_cont and cont then		
		for i,slot in pairs(cont.slots) do
			local item = cont:RemoveItemBySlot(i)
			print(item.prefab)
			t_cont:GiveItem(item, i, nil, nil, true)
		end
	end	
end

function MagicContainerInventory:fill(source)
	if source == nil or source.components.container == nil then 
	    return 
	end
	if not self.magicchest then  
	    if TheSim:FindFirstEntityWithTag("main_magic_chest") then
		    self.magicchest = TheSim:FindFirstEntityWithTag("main_magic_chest")
		else
		    self.magicchest = SpawnPrefab("magic_chest")
		end
	end
	local s_cont = source.components.container
	local cont = self.magicchest.components.container
	if s_cont and cont then		
		for i,slot in pairs(s_cont.slots) do
			local item = s_cont:RemoveItemBySlot(i)
			print(item.prefab)
			cont:GiveItem(item, i, nil, nil, true)
		end
	end	
end

function MagicContainerInventory:CheckMagicChest()
	if not self.magicchest then
	    if TheSim:FindFirstEntityWithTag("main_magic_chest") then  --I have to do this but I don't know what cause this problem
		    self.magicchest = TheSim:FindFirstEntityWithTag("main_magic_chest")
			return
		end
		print("SPAWN MAGIC CHEST!!!!!!!!!!!!!!!!!!!!!!!!")
		self.magicchest = SpawnPrefab("magic_chest")
	end
	print("RemoveFromScene")
	self.magicchest:RemoveFromScene()
end

return MagicContainerInventory
