local Normalformchecker = Class(function(self, inst)
    self.inst = inst
	self.checktime = 0.5
	if IsDLCEnabled(REIGN_OF_GIANTS) or IsDLCEnabled(CAPY_DLC) or IsDLCEnabled(PORKLAND_DLC) then
        self.inst:ListenForEvent("transformable_onshadowform", function() self:Enable(true) end)
        self.inst:ListenForEvent("transformable_onnormalform", function() self:Enable(false) end)
	end
end)

--[[
local PHRASES_FORM_NORMAL_ENG = {"Oh, goodness...", "I'll never get used to that...", "That's enough of that.", "Let me go!", "Did I just... lose control?"}
local PHRASES_FORM_NORMAL_CN = {"哦，天哪……", "我从不习惯那样……", "够了。", "放过我！", "我刚才……失控了吗？"}
]]

function Normalformchecker:Enable(enable)
	if enable then
		self.inst:StartUpdatingComponent(self)
	else
		self.inst:StopUpdatingComponent(self)
	end
end

function Normalformchecker:OnUpdate(dt)
	if self.inst.components.inventory ~= nil 
	    and self.inst.components.inventory:EquipHasTag("super_shadow_item") 
	then
	    return
	end

    if self.checktime > 0 then 
        self.checktime = self.checktime - dt
    end
	
	if self.checktime <= 0 then
	    self.checktime = 0.5
        if self.inst.components.transformable ~= nil then
			self.inst.components.transformable:SetUpNormalFormDueToIgnoringSanityChangeAndLight()
	    end
	end
end

return Normalformchecker