local Shadowreaper = Class(function(self, inst)
    self.inst = inst
end)

local function IsPickableOrHackable(inst)
    if inst ~= nil then
	    if inst.components.pickable ~= nil and inst.components.pickable.canbepicked then
		    return true
		end		
		if inst.components.hackable ~= nil and inst.components.hackable.canbehacked then
		    return true
		end
	end
    return false
end

local function IsInvaildReapThings(inst)
    if inst ~= nil then
	    if inst.prefab == "limpetrock" then
	        return true
        end
        return inst:HasTag("flower") 
			or inst:HasTag("flower_rainforest") 
			or inst:HasTag("seashell")
			or inst:HasTag("ancient_fountain_of_knowledge")
			or inst:HasTag("tubertree")
			or inst:HasTag("cannot_be_reaped")
	end
    return true
end

function Shadowreaper:CollectEquippedActions(doer, target, actions, right)
	if right 
	    and target ~= nil
		and target:IsValid()
		and IsPickableOrHackable(target)
	    and not IsInvaildReapThings(target)
	then 
		table.insert(actions, ACTIONS.SCYTHE)
	end
end

return Shadowreaper