local assets =
{
    Asset("ANIM", "anim/turf_smoke_fx.zip")
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst:AddTag("FX")
	inst:AddTag("INTERIOR_LIMBO_IMMUNE")
	
    inst.entity:SetCanSleep(false)
    inst.persists = false

    inst.AnimState:SetBank("turf_smoke_fx")
    inst.AnimState:SetBuild("turf_smoke_fx")
    inst.AnimState:PlayAnimation("fx")

    inst:ListenForEvent("animover", inst.Remove)

    return inst
end

return Prefab("turf_smoke_fx", fn, assets) 
