local Disappearmaker = Class(function(self, inst)
    self.inst = inst
	
	inst:AddTag("_disappearmaker")
end)

function Disappearmaker:CollectSceneActions(doer, actions, right)
	if right and doer and doer:HasTag("former_magician_assistant") then 
		table.insert(actions, ACTIONS.MAKEDISAPPEAR)
	end
end

function Disappearmaker:CollectInventoryActions(doer, actions)
    if doer and doer:HasTag("former_magician_assistant") and doer:HasTag("ready_to_play_tricks") then
        table.insert(actions, ACTIONS.MAKEDISAPPEAR)
    end
end

return Disappearmaker