
local InteractiveLevel = Class(function(self, inst, activcb)
    self.inst = inst
	self.inactive = true
end)

function InteractiveLevel:CollectSceneActions(doer, actions, right)
	if self.inactive 
	    and right 
	    and (self.IsFlower ~= true or (doer ~= nil and doer:HasTag("flowercommunicator"))) 
		and (self.IsShadowRift ~= true or (doer ~= nil and doer:HasTag("shadow_form_on") and doer.supershadowmanipulation)) 
		and (self.IsTaskRose ~= true or (doer ~= nil and doer:HasTag("charlie") and (self.inst.components.pickable == nil or self.inst.components.pickable.canbepicked))) 
	then 
		table.insert(actions, ACTIONS.LEVELTALK)
	end
end

function InteractiveLevel:DoActivate(doer)
	if self.OnActivate ~= nil then
		self.inactive = false
		self.OnActivate(self.inst, doer)
	end
end

return InteractiveLevel