local MagicianTool = Class(function(self, inst)
    self.inst = inst
	
	inst:AddTag("_magiciantool")
end)

function MagicianTool:CollectSceneActions(doer, actions, right)
	if right and doer and doer:HasTag("former_magician_assistant") --[[and not self.inst:HasTag("magician_hat")]] then 
		table.insert(actions, ACTIONS.CONVERTTOPHAT)
	end
end

function MagicianTool:CollectInventoryActions(doer, actions)
    local owner = self.inst.components.inventoryitem ~= nil and self.inst.components.inventoryitem.owner or nil
    local IsInMagicContainer = owner and owner:HasTag("magic_container")
    if doer and doer:HasTag("former_magician_assistant") and not self.inst:HasTag("magician_hat") and not IsInMagicContainer then
        table.insert(actions, ACTIONS.CONVERTTOPHAT)
    end
end

return MagicianTool