--WIP. DO NOT USE THIS COMPONENT!

local BASE_RADIUS = 8

local PLANT_TYPE_VAILD_TILES_HAM =
{

}

local PLANT_TYPE_VAILD_TILES_SW = 
{

}


local PLANT_TYPE_VAILD_TILES_ROG = 
{

}

local PLANT_TYPE_VAILD_TILES_VANILLA =
{

}

local PlantRenew = Class(function(self, inst)
    self.inst = inst
    self.nextregrowth = 0
    self.timetospawn_variation = 5
    self.timetospawn = 10
	
	self.timers = {}
	self.constant_timers = {}
	self.plant_type = {}
	if IsDLCEnabled(PORKLAND_DLC) then
	    self.plant_type_vaild_tiles = PLANT_TYPE_VAILD_TILES_HAM
	elseif IsDLCEnabled(CAPY_DLC) then
	    self.plant_type_vaild_tiles = PLANT_TYPE_VAILD_TILES_SW
	elseif IsDLCEnabled(REIGN_OF_GIANTS) then
	    self.plant_type_vaild_tiles = PLANT_TYPE_VAILD_TILES_ROG
	else
	    self.plant_type_vaild_tiles = PLANT_TYPE_VAILD_TILES_VANILLA
	end
end)

local function CanPlantAtPoint(x, y, z)
    local tile = GetWorld().Map:GetTileAtPoint(x, y, z)
    if IsDLCEnabled(CAPY_DLC) or IsDLCEnabled(PORKLAND_DLC) then
	    if tile == GROUND.ASH or tile == GROUND.VOLCANO 
		    or tile == GROUND.VOLCANO_ROCK or tile == GROUND.BRICK_GLOW
			or tile == GROUND.VOLCANO_LAVA or tile == GROUND.SNAKESKIN
		then
		    return false
		end
	end
	if IsDLCEnabled(PORKLAND_DLC) then
	    if tile == GROUND.FOUNDATION or tile == GROUND.COBBLEROAD
		    or tile == GROUND.GASJUNGLE or tile == GROUND.PIGRUINS
			or tile == GROUND.PIGRUINS_NOCANOPY or tile == GROUND.BEARDRUG or tile == GROUND.INTERIOR
		then                                                               
		    return false
		end
	end
    if tile ~= GROUND.IMPASSABLE and tile ~= GROUND.INVALID and tile ~= GROUND.ROCKY and tile ~= GROUND.ROAD
		and tile ~= GROUND.UNDERROCK and tile ~= GROUND.WOODFLOOR and tile ~= GROUND.CARPET and tile ~= GROUND.CHECKER
		and tile < GROUND.UNDERGROUND
	then
		return true
	end
	return false
end


local function GetSpawnPoint(name)




end

function PlantRenew:TrySpawnPlant(name)
    if name ~= nil then
	    local x, y, z = GetSpawnPoint(name)
	    if x ~= nil and y ~= nil and z ~= nil then
	        local plant = SpawnPrefab(name)
		    plant.Transform:SetPosition(x, y, z)
	    end
	end
end


local SPAWN_BLOCKER_TAGS = { "structure", "wall" }
local function GetSpawnPoint(from_pt, radius, prefab)
    local map = GetWorld().Map
    if map == nil then
        return
    end
    local theta = math.random() * 2 * PI
    local radius = math.random(radius/2, radius)
    local steps = 10
    local validpos = nil
    for i = 1, steps do
        local offset = Vector3(radius * math.cos( theta ), 0, -radius * math.sin( theta ))
        local try_pos = from_pt + offset
        if CanPlantAtPoint(try_pos:Get())
			and (GetPlayer().GetIsOnWater == nil or not GetPlayer():GetIsOnWater(try_pos.x, try_pos.y, try_pos.z))
			and (GetPlayer().GetIsOnLandOutside == nil or GetPlayer():GetIsOnLandOutside(try_pos.x, try_pos.y, try_pos.z))
            and not (RoadManager ~= nil and RoadManager:IsOnRoad(try_pos.x, 0, try_pos.z))
            and #TheSim:FindEntities(try_pos.x, try_pos.y, try_pos.z, 3) <= 0
			and #TheSim:FindEntities(try_pos.x, try_pos.y, try_pos.z, BASE_RADIUS, nil, nil, SPAWN_BLOCKER_TAGS) <= 0 then
            validpos = try_pos
            break
        end
        theta = theta - (2 * PI / steps)
    end
    return validpos
end

function PlantRenew:AddPlantType(name, time)
    if name == nil or time == nil then
	    return
	end
    self.timers[name] = time
	self.constant_timers[name] = time
	table.insert(self.plant_type, name)
end

function PlantRenew:OnUpdate(dt)
    for name,time in pairs(self.timers) do
	    if time <= 0 then
		    if self.constant_timers[name] then
			    time = self.constant_timers[name]
			end
			if table.contains(self.plant_type, name) then
			    self:TrySpawnPlant(name)
			end
		else
		    time = time -
		end
	end
end

function PlantRenew:TrySpawnBerryBush()
    local x, y, z = self.inst.Transform:GetWorldPosition()

    local spawnpoint = GetSpawnPoint(Point(x,y,z), 500, "berrybush")
    if spawnpoint ~= nil then
	    local ents = TheSim:FindEntities(spawnpoint.x, spawnpoint.y, spawnpoint.z, 10, { "bush" })
        if #ents < 5 then
            local offspring = SpawnPrefab("berrybush")
            offspring.Transform:SetPosition(spawnpoint:Get())
		end
    end

end

function PlantRenew:GetSpawnTime()
	return self.timetospawn + (math.random() * self.timetospawn_variation)
end









return PlantRenew