local ShadowBook = Class(function(self, inst)
	self.inst = inst
	self.action = ACTIONS.SHADOW_READ
end)

function ShadowBook:SetOnReadFn(fn)
	self.onread = fn
end

function ShadowBook:OnRead(reader)
	if self.onread ~= nil then
		return self.onread(self.inst, reader)
	end
	return true
end

function ShadowBook:CanRead(reader)
    if self.onreadtest ~= nil then
        return self.onreadtest(self.inst, reader)
    end
    return true
end

--[[
function ShadowBook:CollectSceneActions(doer, actions)
	if doer ~= nil and doer.components.shadowreader ~= nil then
		table.insert(actions, self.action)
	end
end
]]

function ShadowBook:CollectInventoryActions(doer, actions)
	if doer ~= nil and doer.components.shadowreader ~= nil then
		table.insert(actions, self.action)
	end
end

return ShadowBook
