local Tricksplayer = Class(function(self, inst)
    self.inst = inst
	
	inst:AddTag("_tricks_player")
end)

function Tricksplayer:CollectSceneActions(doer, actions, right)
	if right and doer and doer:HasTag("former_magician_assistant") and doer:HasTag("ready_to_play_tricks") then 
		table.insert(actions, ACTIONS.PLAYTRICKS)
	end
end

function Tricksplayer:CollectInventoryActions(doer, actions)
    if doer and doer:HasTag("former_magician_assistant") and doer:HasTag("ready_to_play_tricks") then
	    if not self.inst:HasTag("magician_hat") then
            table.insert(actions, ACTIONS.PLAYTRICKS)
		else
		    if not self.inst.components.equippable or not self.inst.components.equippable:IsEquipped() then
			    table.insert(actions, ACTIONS.PLAYTRICKS)
			end
		end
    end
end

return Tricksplayer