local assets=
{
	Asset("ANIM", "anim/gridplacer.zip"),
}

local function SetPlayer(inst, player)
    inst.player = player
--[[
   if player then
        inst.components.updatelooper:AddOnWallUpdateFn(turfhat_update)
        inst:ListenForEvent("onremove", inst._onremoveplayer, player)
    else
        inst.components.updatelooper:RemoveOnWallUpdateFn(turfhat_update)
        inst:RemoveEventCallback("onremove", inst._onremoveplayer, player)
    end
]]
end

local function fn(Sim)
	local inst = CreateEntity()
	
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	
    inst:AddTag("NOBLOCK")
    inst:AddTag("NOCLICK")
	inst:AddTag("INTERIOR_LIMBO_IMMUNE")
    inst:AddTag("placer")

	inst.persists = false
	inst.entity:SetCanSleep(false)
	
	inst.AnimState:SetBank("gridplacer")
	inst.AnimState:SetBuild("gridplacer")
	inst.AnimState:PlayAnimation("anim")
	
    inst.AnimState:SetLightOverride(1)
	inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)
	
	inst:AddComponent("placer")
	inst.components.placer.snap_to_tile = true

    inst.SetPlayer = SetPlayer
    --inst._onremoveplayer = function() inst:SetPlayer() end
	
    inst:DoPeriodicTask(0.25, function() 
	    if inst.player ~= nil then
		    local x, y, z = GetWorld().Map:GetTileCenterPoint(inst.player.Transform:GetWorldPosition())
			inst.Transform:SetPosition(x, y, z)
			if IsPassableAtPoint(x, y, z)
			    and ( inst.IsPosSurroundedByLand == nil or inst:IsPosSurroundedByLand(x, y, z, 2) )
			then
			    inst:Show()
			else
			    inst:Hide()
			end
		end
	end)
	
	return inst
end
	
return Prefab("gridplacer_turfhat", fn, assets) 
 


