local assets =
{
    Asset("ANIM", "anim/charlies_lovely_gift_fx.zip")
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst:AddTag("FX")
	inst:AddTag("NOCLICK")
	inst:AddTag("NOBLOCK")
	inst:AddTag("INTERIOR_LIMBO_IMMUNE")

    inst.persists = false

    inst.AnimState:SetBank("charlies_lovely_gift_fx")
    inst.AnimState:SetBuild("charlies_lovely_gift_fx")
    inst.AnimState:PlayAnimation("petals")

    inst:ListenForEvent("animover", inst.Remove)

    return inst
end

return Prefab("rose_fx", fn, assets) 
