local assets = 	
{
    Asset("ANIM", "anim/spawnprotectionbuff.zip"),
}

local prefabs =
{

}

local function OnEnableProtectionFn(inst, target, enable)
	if enable then
	    if target then
		    target:AddTag("notarget")
		    target:AddTag("spawnprotection")
		end
	else
	    if target then
		    target:RemoveTag("notarget")
		    target:RemoveTag("spawnprotection")
		end
		inst.AnimState:PushAnimation("buff_pst", false)
		inst:DoTaskInTime(1, inst.Remove)
	end
end

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    inst.AnimState:SetBank("spawnprotectionbuff")
    inst.AnimState:SetBuild("spawnprotectionbuff")
    inst.AnimState:SetOrientation(ANIM_ORIENTATION.OnGround)
    inst.AnimState:SetLayer(LAYER_BACKGROUND)
	inst.AnimState:SetSortOrder(3)
    inst.AnimState:PlayAnimation("buff_pre")
    inst.AnimState:PushAnimation("buff_idle", true)
	inst.AnimState:SetMultColour(1, 1, 1, 0.25)

    inst:AddTag("DECOR")
    inst:AddTag("FX")	
    inst:AddTag("NOCLICK")
    inst:AddTag("NOBLOCK")
    inst:AddTag("INTERIOR_LIMBO_IMMUNE")
	inst:AddTag("spawnprotectionbuff")

    inst.OnEnableProtectionFn = OnEnableProtectionFn
 
    inst.persists = false
	
    return inst
end

return Prefab("spawnprotectionbuff", fn, assets, prefabs)
