-- Quotes of vanilla DS and RoG provided by AmaLee --
-- 由AmaLee提供原版和巨兽统治的台词 --
-- Quotes of SW and HAM provided by WL --
-- 由WL提供海难和猪镇的台词    --

return {
	ACTIONFAIL =
	{
		BUILD =
        {
            MOUNTED = "I shouldn't have done this here. It's inappropriate!",
        },
		SHAVE =
		{
			AWAKEBEEFALO = "I'm not so sure it would appreciate that...",
			GENERIC = "I can't shave that.",
			NOBITS = "I'll leave the beard growing to the men.",
			RIDING = "I don't know how difficult it will be...",
		},
		STORE =
		{
			GENERIC = "There's not enough room.",
			NOTALLOWED = "I shouldn't put it there.",
		},
		RUMMAGE = 
		{	
			GENERIC = "I really can't!",	
		},
        COOK = 
        {
            GENERIC = "It extinguished or something!",
            TOOFAR = "It's still a long way from me!",
        },
        GIVE = 
        {
            DEAD = "Not moving!",
            SLEEPING = "It's better not to disturb.",
            BUSY = "Take a break!",
        },
        WRITE = 
        {
            GENERIC = "No way.",
        },
        CHANGEIN =
        {
            GENERIC = "Maybe I don't want to?",
            BURNING = "That's even more impossible!",
        },
		REPAIRBOAT = 
		{
			GENERIC = "I hope it's okay.",
		},
		TEACH = 
        {
            KNOWN = "Repeated knowledge is good, but...",
            CANTLEARN = "Maybe I should ask Maxy.",
        },
        PICKUP = 
        {
        	GENERIC = "Is it too difficult?",
        	CANTPAY = "Rational consumption!"
    	},		
    	SHOP = 
        {
        	GENERIC = "Rational consumption!",
        	CANTPAY = "Rational consumption!"
    	},
    	USEDOOR = 
    	{
    		GENERIC = "It's not business hours yet.",
    		LOCKED = "Just trying to stop me!",
    	},	
    	FERTILIZE =
    	{
    		WRONGDIRT = "It needs another kind of love.",
    	},    
    	MOUNT =
        {
            TARGETINCOMBAT = "Not at its best!",
            INUSE = "Haste makes waste!",
        },
        SADDLE =
        {
            TARGETINCOMBAT = "It needs to calm down!",
        },
        DRAW =
        {
            NOIMAGE = "A pattern will look better!",
        },
	},
	ACTIONFAIL_GENERIC = "That didn't work!",
	ANNOUNCE_MAGIC_FAIL = "The magic has failed!",

    ANNOUNCE_NOSLEEPONFIRE = "Fire is good and all at night, but...",
	ANNOUNCE_NODANGERSIESTA = "Now? Of all times?!",
	ANNOUNCE_NONIGHTSIESTA = "I've heard siestas are more of a day thing.",
	ANNOUNCE_NONIGHTSIESTA_CAVE = "Not here, no thank you.",
	ANNOUNCE_NOHUNGERSIESTA = "I could use a snack, first.",
	ANNOUNCE_SHELTER = "Finally, being short pays off.",
	ANNOUNCE_BURNT = "It burns!",
	ANNOUNCE_TOOL_SLIP = "Ah! I can't get a grip.",
	ANNOUNCE_DAMP = "Not the best replacement for a bath.",
	ANNOUNCE_WET = "Oh, my dress...",
	ANNOUNCE_WETTER = "I hope I don't catch a cold.",
	ANNOUNCE_SOAKED = "This is absolutely miserable.",
	ANNOUNCE_ADVENTUREFAIL = "One way or another...",
	ANNOUNCE_BEES = "This flower needs no pollinating, thank you!",
	ANNOUNCE_BOOMERANG = "Oof! Almost had it.",
	ANNOUNCE_CHARLIE = "NO! I won't let you take me again!",
	ANNOUNCE_CHARLIE_ATTACK = "Please, don't do this!!",
	ANNOUNCE_COLD = "This is much more of a spring dress!",
	ANNOUNCE_HOT = "I feel faint...",
	ANNOUNCE_CRAFTING_FAIL = "I'm afraid I can't do that.",
	ANNOUNCE_DEERCLOPS = "What-.... what was that?",
	ANNOUNCE_DUSK = "It's... almost time.",
	ANNOUNCE_EAT =
	{
		GENERIC = "Mmm!",
		PAINFUL = "Oh! I hope I still have all my teeth.",
		SPOILED = "Eugh, that'll go right through me.",
		STALE = "I should've eaten that sooner.",
		INVALID = "I'm not that desperate.", 
	},
	ANNOUNCE_ENTER_DARK = "Light, I need light!!",
	ANNOUNCE_ENTER_LIGHT = "Thank goodness...",
	ANNOUNCE_FREEDOM = "That's another nightmare I don't want to repeat.",
	ANNOUNCE_HIGHRESEARCH = "Interesting!",
	ANNOUNCE_HOUNDS = "Is that... barking?",
	ANNOUNCE_HUNGRY = "I'm absolutely... famished!",
	ANNOUNCE_HUNT_BEAST_NEARBY = "I think it's close!",
	ANNOUNCE_HUNT_LOST_TRAIL = "I don't see anything else.",
	ANNOUNCE_HUNT_LOST_TRAIL_SPRING = "The rest is washed away.",
	ANNOUNCE_INV_FULL = "I've no more room.",
	ANNOUNCE_KNOCKEDOUT = "Oh, goodness...",
	ANNOUNCE_LOWRESEARCH = "Simple enough.",
	ANNOUNCE_MOSQUITOS = "Oh! Why couldn't this dress have sleeves?",
	ANNOUNCE_NODANGERSLEEP = "Now isn't the time!",
	ANNOUNCE_NODAYSLEEP = "It's far too bright out to sleep.",
	ANNOUNCE_NODAYSLEEP_CAVE = "Whatever's crawling down here isn't ending up on me.",
	ANNOUNCE_NOHUNGERSLEEP = "I can't sleep on an empty stomach.",
	ANNOUNCE_NO_TRAP = "Could have scared me half to death!",
	ANNOUNCE_PECKED = "Ouch! I know, hold on!",
	ANNOUNCE_QUAKE = "Just like home! ...Only underground.",
	ANNOUNCE_RESEARCH = "I feel smarter already!",
	ANNOUNCE_THORNS = "Ow! These gloves are too thin for that.",
	ANNOUNCE_TORCH_OUT = "Quickly, a new one!",
	ANNOUNCE_TRAP_WENT_OFF = "Eek!",
	ANNOUNCE_UNIMPLEMENTED = "I couldn't tell you, myself.",
	ANNOUNCE_WORMHOLE = "Ick, I'll never get that smell out.",
	ANNOUNCE_CANFIX = "\nI think I can fix this!",
	ANNOUNCE_ACCOMPLISHMENT= "I guess I... wait?",
	ANNOUNCE_ACCOMPLISHMENT_DONE = "That was nice, I suppose.",	
	ANNOUNCE_INSUFFICIENTFERTILIZER = "It needs a little more help.",
	ANNOUNCE_LIGHTNING_DAMAGE_AVOIDED = "Close to the ground! I get it!",

	ANNOUNCE_TREASURE = "Let me go back to the Big Maritime Navigation Era!",
	ANNOUNCE_MORETREASURE = "There are even more treasures, I want to explore!",
	ANNOUNCE_OTHER_WORLD_TREASURE = "It seems that They won't let me do it there.",
	ANNOUNCE_OTHER_WORLD_PLANT = "It doesn't adapt to the environment here.",

	ANNOUNCE_MESSAGEBOTTLE =
	{
		"It's treasure, it's near here, I have to find it.",
	},
	ANNOUNCE_VOLCANO_ERUPT = "The deity of the volcano is angry!",
	ANNOUNCE_MAPWRAP_WARN = "There are mysterious forces affecting me.",
	ANNOUNCE_MAPWRAP_LOSECONTROL = "It can't be a shadow!?",
	ANNOUNCE_MAPWRAP_RETURN = "Back on track...",
	ANNOUNCE_CRAB_ESCAPE = "Your intelligence will destroy you!",
	ANNOUNCE_TRAWL_FULL = "Is full of goods now.",
	ANNOUNCE_BOAT_DAMAGED = "I need another one.",
	ANNOUNCE_BOAT_SINKING = "It gonna be sinking!",
	ANNOUNCE_BOAT_SINKING_IMMINENT = "No! Another one quickly!",
	ANNOUNCE_WAVE_BOOST = "Wee! Breaking the waves!",

	ANNOUNCE_WHALE_HUNT_BEAST_NEARBY = "I have to keep up!",
	ANNOUNCE_WHALE_HUNT_LOST_TRAIL = "Ah, it swims very fast!",
	ANNOUNCE_WHALE_HUNT_LOST_TRAIL_SPRING = "Unsuitable field!",
	
	-- PORKLAND SPEECH --
	ANNOUCE_UNDERLEAFCANOPY = "It's really a good experience to stay under the sky tree!",
	ANNOUCE_ALARMOVER = "I think I got away.",	
	ANNOUCE_BATS = "Are those... Bats!? I have to find shelter. Quickly!",
	ANNOUCE_OTHERWORLD_DEED = "I hope I got my certificate right.",
	ANNOUNCE_TOOLCORRODED = "These poisons can even corrode my tool!",
	ANNOUNCE_TURFTOOHARD = "With its lush ground, I can't dig!",
	ANNOUNCE_GAS_DAMAGE = "Cough! It... ! Cough!",

	ANNOUNCE_GNATS_DIED = "No one is going to escape!",	

	ANNOUNCE_SNEEZE = "AH CHO! Too many flowers!",	
	ANNOUNCE_HAYFEVER = "Season of flower begins! Maybe I can take care of my flowers...",	
	ANNOUNCE_HAYFEVER_OFF = "Season of flower ends! I hope my flowers are still there...",	

	ANNOUNCE_PICKPOOP = {"Eugg! You have to reflect on your own behavior, Charlie!", "Gross! This is not Charlie's style!", "I hope my gloves are all right!", "Gloves need washing!"},	
	ANNOUNCE_TOO_HUMID = {"The strange fog makes me lose my way!", "The fog is swallowing my soul!"},	
	ANNOUNCE_DEHUMID = {"Ah, much more comfortable now.", "The fog will dissipate soon, I hope so..."},	

	ANNOUNCE_PUGALISK_INVULNERABLE = {"Even shadows cannot erode it!", "Obviously the wrong place. Come on, Charlie!", "Find its weakness before it stares!"},
	
	ANNOUNCE_MYSTERY_FOUND = "Something hidden. But I have to keep myself safe.",
	ANNOUNCE_MYSTERY_NOREWARD = "Nothing hidden. But it won't disappoint me.",

	ANNOUNCE_MYSTERY_DOOR_FOUND = "I found some cracks.",
	ANNOUNCE_MYSTERY_DOOR_NOT_FOUND = "Walls here are hard!",

	ANNOUNCE_TAXDAY = "Ah, I've never experienced taxation.",

	ANNOUNCE_HOUSE_DOOR = "Something shadowy prevents me from doing that.",
	ANNOUNCE_ROOM_STUCK = "It's impossible for me to trap myself in a prison, just like Maxy!",
	ANNOUNCE_NOTHING_FOUND = "Nothing is found. But don't give up!",

	ANNOUNCE_SUITUP = "Become a real queen!",

    --------------------------------
	BATTLECRY =
	{
		GENERIC = "C'mon, let's go, you and me!",
		PIG = "You're not so tough!",
		PREY = "Sorry, but a girl's gotta eat!",
	},
	COMBAT_QUIT =
	{
		GENERIC = "Hmph. As I thought.",
		PIG = "You're not worth enduring the smell",
		PREY = "You just wait.",
	},
	DESCRIBE =
	{
		GLOMMER = "Oh! You're so CUTE!",
        GLOMMERFLOWER = 
        {
        	GENERIC = "It likes its flowers, too.",
        	DEAD = "Oh no...",
        },
        GLOMMERWINGS = "Oh no, what happened to it?",
        GLOMMERFUEL = "This is less cute.",
        BELL = "More bell.",
        STATUEGLOMMER = 
        {	
        	GENERIC = "What is that supposed to be?",
        	EMPTY = "I'll never know.",
    	},
		WEBBERSKULL = "Oh... I should give 'im a proper burial.",
		MOLE =
		{
			HELD = "It's still a little dazed.",
			UNDERGROUND = "Tunnelling with love.",
			ABOVEGROUND = "Why do I feel I need a hammer?",
		},
		MOLEHILL = "Surely, that isn't for rabbits?",
		MOLEHAT = "This is great for the dark.",
		NIGHTSTICK = "Good mornin' to you!",
		RABBITHOUSE=
		{
			GENERIC = "Is this where the hat leads?",
			BURNT = "I hope no hats lead here.",
		},
		TURF_DECIDUOUS = "I've a little world in my hands.",
		TURF_SANDY = "I've a little world in my hands.",
		TURF_BADLANDS = "I've a little world in my hands.",
		BEARGER = "No picnics here, I swear!",
		BEARGERVEST = "It's very cuddly.",
		ICEPACK = "Warm, cold, this fur does it all!",
		BEARGER_FUR = "It's very warm.",
		BIGFOOT = "What large... feet you have!",
		BONESHARD = "It's splintered",
		BUZZARD = "I hope they're not looking at me.",
		CACTUS = 
		{
			GENERIC = "Looking sharp!",
			PICKED = "It's still sort of sharp?",
		},
		CACTUS_MEAT_COOKED = "It's not beating the heat anymore.",
		CACTUS_MEAT = "Normally I'm not picky, but...",
		CACTUS_FLOWER = "It's prettier without the pricking.",
		COLDFIRE =
		{
			EMBERS = "I need fuel, quickly!",
			GENERIC = "It'll keep Them away.",
			HIGH = "THAT should show Them!",
			LOW = "I'm not comfortable with that.",
			NORMAL = "I should stay close.",
			OUT = "Oh no.",
		},
		CATCOON = "Here, kitty kitty!",
		CATCOONDEN = 
		{
			GENERIC = "A cat tree!",
			EMPTY = "No cats here.",
		},
		CATCOONHAT = "This is so sad.",
		COONTAIL = "Poor little thing...",
		COOKPOT =
		{
			COOKING_LONG = "Patience.",
			COOKING_SHORT = "It's almost ready!",
			DONE = "Worth the wait!",
			EMPTY = "It's been a while, but I can use it!",
			BURNT = "It's a cook or be cooked world.",
		},
		EYEBRELLAHAT =	"It's stargazing.",
		ARMORDRAGONFLY = "That's some hot armor!",
		DRAGON_SCALES = "High on the heat scale.",
		DRAGONFLYCHEST = "Those scales sure are nifty.",
		DECIDUOUSTREE = 
		{
			BURNING = "Woops.",
			BURNT = "To a crisp.",
			POISON = "That one's a lot meaner!",
			CHOPPED = "Nothing's going to get better, tree.",
			GENERIC = "Just what I need.",
		},
		ACORN_COOKED = "Not quite chestnuts, but I'll make do.",
		BIRCHNUTDRAKE = "It's completely nuts!",
		FARMPLOT =
		{
			GENERIC = "Oh! I remember gardening.",
			GROWING = "Maybe I can do something in the mean time.",
			NEEDSFERTILIZER = "It can't grow anymore, it needs help.",
			BURNT = "I don't know any flame resistant plants.",
		},
		COLDFIREPIT =
		{
			EMBERS = "It's too low!",
			GENERIC = "My coldest defense against Them.",
			HIGH = "Ah, it's so comfortable.",
			LOW = "Quickly! More fuel!",
			NORMAL = "This should be okay.",
			OUT = "I-it can be started back up, at least?",
		},
		FIRESUPPRESSOR = 
		{	
			ON = "Let the flurry commence!",
			OFF = "Quiet before the storm.",
			LOWFUEL = "It would be nice to have some ice.",
		},
		ICEHAT = "Gotta keep a cool head.",
		LIGHTNINGGOAT = 
		{
			GENERIC = "I don't want to butt in.",
			CHARGED = "I'm surprised it didn't fall over.",
		},
		LIGHTNINGGOATHORN = "They're very hard-headed.",
		GOATMILK = "It's shockingly delicious.",
		MEATRACK =
		{
			DONE = "Looks dry enough to me!",
			DRYING = "This'll be a while.",
			DRYINGINRAIN = "This'll be a looong while.",
			GENERIC = "I can dry just about any kind of meat.",
			BURNT = "It would crumble if I tried anything.",
		},
		MERMHEAD = 
		{
			GENERIC = "How barbaric! And the smell!",
			BURNT = "Ugh, you can smell it a mile away.",
		},
		MERMHOUSE = 
		{
			GENERIC = "They're doing better than me, at least.",
			BURNT = "We're about even now.",
		},
		FLOWERSALAD = "I prefer mine worn than eaten.",
        ICECREAM = "I'll try to keep my voice down.",
        WATERMELONICLE = "Sweets to stop the sweat.",
        TRAILMIX = "It's berry nutty.",
        HOTCHILI = "Nothing \"chilly\" about it!",
        GUACAMOLE = "Holy-! *ahem*.",
		MOOSE = "Looks like a northern animal.",
		MOOSEEGG = "There are a lot of dangerous eggs here, huh?",
		MOSSLING = "Aww, look at how fluffy!",
		FEATHERFAN = "Cooling off will be a breeze.",
        TROPICALFAN = "Cooling off will be a breeze.",
		GOOSE_FEATHER = "As soft as a cloud.",
		STAFF_TORNADO = "This'll leave them winded.",
		PIGHEAD = 
		{	
			GENERIC = "How gruesome!",
			BURNT = "That's not my idea of a barbecue.",
		},
		PIGHOUSE =
		{
			FULL = "I wish I could build that.",
			GENERIC = "Maybe I can move in?",
			LIGHTSOUT = "Please open up, I'm desperate!",
			BURNT = "Now it's good to no one.",
		},
		FERTILIZER = "It'll keep the stench off me.",
		RAINOMETER = 
		{	
			GENERIC = "My personal weather report.",
			BURNT = "There wasn't much rain to measure.",
		},
		RAINCOAT = "Out out, rain!",
		RAINHAT = "Not the most dapper of hats, but quite necessary.",
		RESEARCHLAB = 
		{	
			GENERIC = "This should help me build all kinds of things.",
			BURNT = "Heat wasn't something I intended to build.",
		},
		RESEARCHLAB2 = 
		{
			GENERIC = "Quite the improvement, if I do say so myself.",
			BURNT = "The fire improved with it.",
		},
		RESEARCHLAB3 = 
		{
			GENERIC = "It looks like I'd find this in that journal...",
			BURNT = "I wish the journal would've burned with it.",
		},
		RESEARCHLAB4 = 
		{
			GENERIC = "A magician's best tool!",
			BURNT = "I hope the rabbits escaped!",
		},
		RESURRECTIONSTATUE = 
		{
			GENERIC = "Ooh, I hope I don't need it.",
			BURNT = "I really hope I don't need it, now.",
		},
		ROCK_ICE = 
		{
			GENERIC = "That won't fit in my glass.",
			MELTED = "Too bad I don't have galoshes.",
		},
		ROCK_ICE_MELTED = "Too bad I don't have galoshes.",
		ICE = "Baby glaciers!",
        REFLECTIVEVEST = "Safety first!",
		HAWAIIANSHIRT = "This is... a new way to wear flowers.",
		TENT = 
		{
			GENERIC = "Can it really keep Them out?",
			BURNT = "It won't keep anyone out, now.",
		},
		SIESTAHUT = 
		{
			GENERIC = "Oh, good. I could use a nap.",
			BURNT = "I guess I don't need a nap.",
		},
		TRANSISTOR = "You know, the thingamabop.",
		TREASURECHEST = 
		{
			GENERIC = "Should I look inside?",
			BURNT = "I shouldn't have done that.",
		},
		TUMBLEWEED = "Tumbling through life.",
		GRASS_UMBRELLA = "Petal to the stick.",
		PALMLEAF_UMBRELLA = "A green umbrella full of tropical customs.",
		UNIMPLEMENTED = "I couldn't tell you, myself.",
		WALL_HAY = 
		{	
			GENERIC = "Some protection is better than none.",
			BURNT = "Now we have none.",
		},
		WALL_WOOD = 
		{
			GENERIC = "This'll keep me safe.",
			BURNT = "It would've kept me safe.",
		},
		WARG = "He's top dog!",
		WATERMELON = "Like those summer days at home.",
		WATERMELON_COOKED = "Nevermind the water.",
		WATERMELONHAT = "This wasn't my best idea.",
		WINTEROMETER = 
		{
			GENERIC = "I'll keep an eye on that.",
			BURNT = "I'm gonna say it's hot.",
		},
		LIVINGTREE = "Do I say hello?",
		ICESTAFF = "Some things just need to cool off.",
		WORMLIGHT = "How curious.",
		WORM =
		{
		    PLANT = "Something seems off.",
		    DIRT = "It's getting closer!",
		    WORM = "O-Oh! It's gigantic!",
		},
		EEL = "This isn't a normal fish.",
		EEL_COOKED = "It doesn't smell like fish, at least.",
		UNAGI = "Is it still raw?",
		EYETURRET = "It has a glare worse than daggers.",
		EYETURRET_ITEM = "Where can I put you...",
		MINOTAURHORN = "You were a diligent guardian, to be sure.",
		MINOTAURCHEST = "Its memory will live on.",
		THULECITE_PIECES = "Can these be combined?",
		POND_ALGAE = "Pond plants.",
		GREENSTAFF = "It's like it never happened.",
		POTTEDFERN = "I think it's lovely.",

		THULECITE = "An exceedingly rare but useful material.",
		ARMORRUINS = "Light and strong.",
		RUINS_BAT = "It's not as heavy as you'd think.",
		RUINSHAT = "Something whispers to me.",
		NIGHTMARE_TIMEPIECE = --Keeps track of the nightmare cycle
		{
			CALM = "Silence has fallen.",	--calm phase
			WARN = "Something awakens.",	--Before nightmare
			WAXING = "It grows stronger.", --Nightmare Phase first 33%
			STEADY = "It beats like the heart of a beast.", --Nightmare 33% - 66%
			WANING = "Its heart weakens.", --Nightmare 66% +
			DAWN = "Silence, once again.", --After nightmare
			NOMAGIC = "It's useless here.", --Place with no nightmare cycle.
		},
		BISHOP_NIGHTMARE = "Is it a machine or a hallucination?",
		ROOK_NIGHTMARE = "What a horrifying creature!",
		KNIGHT_NIGHTMARE = "I hope it isn't real.",
		MINOTAUR = "It must be protecting what little is left.",	--Monster in labyrinth
		SPIDER_DROPPER = "Ah!! How many more are there?!",	--White spider that comes from the roof
		NIGHTMARELIGHT = "I wish it were just a bad dream.",	--Lights that activate during nightmare.
		RELIC = "Who could have made this down here?",	--Fixed relic
		RUINS_RUBBLE = "It was probably wonderful, at one point.",	--Broken relic
		MULTITOOL_AXE_PICKAXE = "You'd think I would've thought of it sooner.",	--Works as axe and pickaxe
		GREENGEM = "A wholesome colour.",
		ORANGESTAFF = "Now you see me...",	--Teleports player.
		YELLOWAMULET = "Travelling with speed and light!",	--Emits light, player walks faster.
		GREENAMULET = "This'll make building a lot faster.",	--Reduce cost of crafting

		SLURPER = "Quite an energetic furball, aren't you?",
		SLURPER_PELT = "No wonder it could eat so much!",
		ARMORSLURPER = "I feel a lot less... hungry?",
		ORANGEAMULET = "Gathering should be much simpler.",
		YELLOWSTAFF = "I could always use more light!",
		YELLOWGEM = "It's such a bright color!",
		ORANGEGEM = "What a relaxing color.",
		TELEBASE = 
		{
			VALID = "I can use it now.",
			GEMS = "It needs... something.",
		},
		GEMSOCKET = 
		{
			VALID = "Taken care of.",
			GEMS = "Maybe gems?",
		},
		STAFFLIGHT = "Some are born to be stars.",
       	ANCIENT_ALTAR =
        {
        	WORKING = "It looks very... old.",
        	BROKEN = "Old and decrepit.",
        },
        ANCIENT_ALTAR = "It looks very... old.",
        ANCIENT_ALTAR_BROKEN = "Old and decrepit.",

        ANCIENT_STATUE = "Is that what they looked like?",

		CAVE_BANANA = "Oh! It tastes like ashes?",
		CAVE_BANANA_COOKED = "Cooking doesn't always help.",
		CAVE_BANANA_TREE = "Should those be growing down here?",
		ROCKY = "That isn't a rock...",
		
		HOUNDSTOOTH = "As sharp as a needle!",
		ARMORSNURTLESHELL = "Not too pretty, but it keeps me safe.",
		BAT = "They're like flying, ugly pigs.",
		BATBAT = "Batter up!",
		BATWING = "Is there even anything to eat on this?",
		VAMPIRE_BAT_WING = "Is there even anything to eat on this?",
		BATWING_COOKED = "It looks like chicken, almost.",
		BEDROLL_FURRY = "It's like sleeping with bunnies... dead bunnies.",
		BUNNYMAN = "He could pull me out of a hat!",
		FLOWER_CAVE = "Still wouldn't trade it for my flower.",
		FLOWER_CAVE_DOUBLE = "Still wouldn't trade it for my flower.",
		FLOWER_CAVE_TRIPLE = "Still wouldn't trade it for my flower.",
		GUANO = "Oh, good. More poop.",
		LANTERN = "This'll keep Them away.",
		LIGHTBULB = "How lovely.",
		MANRABBIT_TAIL = "Sorry, bunnyman.",
		MUSHTREE_TALL = "Oh, come on!",
		MUSHTREE_MEDIUM = "This is getting ridiculous.",
		MUSHTREE_SMALL = "Really? That grows too?",
		SLURTLE = "Ick, disgusting.",
		SLURTLE_SHELLPIECES = "They're still sticky.",
		SLURTLEHAT = "Safety first... bathing later.",
		SLURTLEHOLE = "I'll just... keep my distance.",
		SLURTLESLIME = "It better do something.",
		SNURTLE = "Oh, good. Different levels of disgusting.",
		SPIDER_HIDER = "This one's harder to squish.",
		SPIDER_SPITTER = "Spitting is rude, y'know!",
		SPIDERHOLE = "If I get rid of that, I get rid of them.",
		STALAGMITE = "I wonder what sort of rocks it has.",
		STALAGMITE_FULL = "I wonder what sort of rocks it has.",
		STALAGMITE_LOW = "I wonder what sort of rocks it has.",
		STALAGMITE_MED = "I wonder what sort of rocks it has.",
		STALAGMITE_TALL = "I wonder what sort of rocks it has.",
		STALAGMITE_TALL_FULL = "I wonder what sort of rocks it has.",
		STALAGMITE_TALL_LOW = "I wonder what sort of rocks it has.",
		STALAGMITE_TALL_MED = "I wonder what sort of rocks it has.",

		POWCAKE = "This'll just go right to my hips.",
		CAVE_ENTRANCE = 
		{
			GENERIC = "That looks like someone plugged it.",
			OPEN = "I would rather avoid the dark, if I can!",
		},
        CAVE_EXIT = "No more of that!",
        CAVE_REGENERATOR = "Use ancient magic to make the cave grow new things.",
		MAXWELLPHONOGRAPH = "How long has it been playing?",
		BOOMERANG = "Oh, I remember this toy.",
		PIGGUARD = "I'll just be finding my own fire, then.",
		ABIGAIL = "Aww, she has a flower too!",
		ABIGAIL_WEAK = "Aww, she has a flower too!",
		ABIGAIL_NORMAL = "Aww, she has a flower too!",
		ABIGAIL_STRONG = "Aww, she has a flower too!",
		ABIGAIL_FLOWER = "It's a combination of flowers and magic, WOW!",
        BOOK_BIRDS = "Attract the attention of birds.",
        BOOK_TENTACLES = "Ah, I don't like this magic book very much.",
        BOOK_GARDENING = "Gardening magic book, huh.",
        BOOK_SLEEP = "Come and have a good rest.",
        BOOK_BRIMSTONE = "Will it have a paralytic effect?",
        LIGHTER = "Even a lighter will do!",
        LUCY = "This magic axe is very special.",
        BALLOONS_EMPTY = "I'm not very good at blowing balloons.",
        SPEAR_WATHGRITHR = "Is this a magic spear?",
        WATHGRITHRHAT = "Wow, look at the animal above!",
        WAXWELLJOURNAL = "Maxy, what did you do...",
		ADVENTURE_PORTAL = "I think... I think this is what I'm looking for.",
		AMULET = "I remember seeing this hung up! On a page!",
		ANIMAL_TRACK = "Something big left this.",
		ARMORGRASS = "Better than nothing!",
		ARMORMARBLE = "A little heavy, but I'll manage!",
		ARMORWOOD = "Much better!",
		ARMOR_SANITY = "I can't stand to wear this. Let's make this quick.",
		ASH =
		{
			GENERIC = "I can still use it!",
			REMAINS_GLOMMERFLOWER = "It'll come around again, I hope.",
			REMAINS_EYE_BONE = "Oh, bye little guy.",
			REMAINS_THINGIE = "It was useful while it lasted.",
		},
		AXE = "One step closer to security.",
		BABYBEEFALO = "Ohh!",
		BACKPACK = "Ah! I was running out of space to put things.",
		BACONEGGS = "I make a mean sunny-side up.",
		BANDAGE = "For all those icky booboos.",
		BASALT = "I don't know anyone that could break this!",
		BEARDHAIR = "I don't think I've ever seen him with a beard.",
		BEDROLL_STRAW = "A bed is a bed, no matter how itchy.",
		BEE =
		{
			GENERIC = "A sweet little worker, busy for his queen.",
			HELD = "You could use a new home.",
		},
		BEEBOX =
		{
			FULLHONEY = "I can get it, if I'm careful.",
			GENERIC = "I'll be their new queen.",
			NOHONEY = "I'm sure they're working on it.",
			SOMEHONEY = "Let's wait a little longer.",
			BURNT = "Aw, nuts.",
		},
		BEEFALO =
		{
			FOLLOWER = "Oh, hello!",
			GENERIC = "Gosh, they're huge!",
			NAKED = "And that's why I never became a barber.",
			SLEEPING = "They seem so peaceful.",
			 --Domesticated states:
            DOMESTICATED = "You'll be obedient, won't you?",
            ORNERY = "Ah, it likes fighting!",
            RIDER = "The beefalo was almost domesticated by me to be clever.",
            PUDGY = "Ah, I shouldn't feed too much!",
		},
		BEEFALOHAT = "Will this really fool them?",
		BEEFALOWOOL = "This should keep me warm!",
		BEEHAT = "No stinging through this.",
		BEEHIVE = "Honey, I'm here!",
		BEEMINE = "They don't sound too happy.",
		BEEMINE_MAXWELL = "Why is it so... different?",
		BERRIES = "I hope they're safe!",
		BERRIES_COOKED = "They should be fine. I hope.",
		BERRYBUSH =
		{
			BARREN = "It could use some help.",
			WITHERED = "They can't grow in this weather.",
			GENERIC = "They look delicious!",
			PICKED = "I'll come back later.",
		},
		BIRDCAGE =
		{
			GENERIC = "Now for the bird.",
			OCCUPIED = "What should I name it?",
			SLEEPING = "See you in the morning.",
		},
		BIRDTRAP = "There's enough birds to go around.",
		BIRD_EGG = "It's so small.",
		BIRD_EGG_COOKED = "I'm feeling a little scrambled, myself.",
		BISHOP = "Quite the creepy fellow!",
		BLOWDART_FIRE = "I'll be spitting fire! ... or breathing it.",
		BLOWDART_SLEEP = "Mr. Sandman, bring me a dream.",
		BLOWDART_PIPE = "I'll take a shot at firing it.",
		BLUEAMULET = "I'll need a coat with this one.",
		BLUEGEM = "Quite the cool color.",
		BLUEPRINT = "Oh, how useful!",
		BELL_BLUEPRINT = "How... useful?",
		BLUE_CAP = "And what will you do?",
		BLUE_CAP_COOKED = "I hope it's not poison.",
		BLUE_MUSHROOM =
		{
			GENERIC = "I wonder what that's for.",
			INGROUND = "I'll try again later.",
			PICKED = "It'll come back.",
		},
		BOARDS = "Ack! Splinters.",
		BOAT = "It's a nice idea.",
		BONESTEW = "Bone meal?",
		BUGNET = "Tiny bugs only, please.",
		BUSHHAT = "There's room for one more!",
		BUTTER = "Um, fly?",
		BUTTERFLY =
		{
			GENERIC = "Well, aren't you sweet?",
			HELD = "I'll be extra careful.",
		},
		BUTTERFLYMUFFIN = "Ooh, muffins!",
		BUTTERFLYWINGS = "Ah! I'm sorry!",
		CAMPFIRE =
		{
			EMBERS = "I need fuel, quickly!",
			GENERIC = "It'll keep Them away.",
			HIGH = "THAT should show Them!",
			LOW = "I'm not comfortable with that.",
			NORMAL = "I should stay close.",
			OUT = "Oh no.",
		},
		CANE = "Do the pictures add speed?",
		CARROT = "Gotta keep the fluffballs fed!",
		CARROT_COOKED = "The assistant needs feeding, too!",
		CARROT_PLANTED = "I know who'll like those!",
		CARROT_SEEDS = "The fluffballs' favorite seeds.",
		CAVE_FERN = "This would look nice potted.",
		CHARCOAL = "Some day, even the trees must die.",
        CHESSJUNK1 = "Machines?",
        CHESSJUNK2 = "Machines?",
        CHESSJUNK3 = "Machines?",
		CHESTER = "Well, aren't you the sweetest little thing!",
		CHESTER_EYEBONE =
		{
			GENERIC = "Oh! Um... hello?",
			WAITING = "Hmm? Did it fall asleep?",
		},
		COOKEDMANDRAKE = "Sorry...",
		COOKEDMEAT = "Smells good!",
		COOKEDMONSTERMEAT = "Desperate times...",
		COOKEDSMALLMEAT = "It doesn't take much to fill me.",
		CORN = "Not all jokes are this bad.",
		CORN_COOKED = "Too bad there aren't any theatres nearby.",
		CORN_SEEDS = "I'm putting a lot of stalk in these seeds.",
		CROW =
		{
			GENERIC = "You must have flown a long way.",
			HELD = "Oh, hush.",
		},
		LICHEN = "You must be a tough little guy to grow here.",
		CUTLICHEN = "Anything this awful looking is probably nutritious.",
		CUTGRASS = "Not so tall now, are you?",
		CUTREEDS = "What could I use you for?",
		CUTSTONE = "Masonry would be a handy skill right about now.",
		DEADLYFEAST = "Ugh, my stomach is churning.",
		DEERCLOPS = "Dear goodness, it's huge!",
		DEERCLOPS_EYEBALL = "Thankfully, there's only one I have to touch.",
		DEPLETED_GRASS =
		{
			GENERIC = "Grass ought not be so tall.",
		},
		DIRTPILE = "I don't think that's just a mound of dirt.",
		DIVININGROD =
		{
			COLD = "Nothing here.",
			GENERIC = "This'll find him, for sure!",
			HOT = "I'll find you yet!",
			WARM = "Almost!",
			WARMER = "I have GOT to be close!",
		},
		DIVININGRODBASE =
		{
			GENERIC = "How does the rod stay upright?",
			READY = "I have just the thing.",
			UNLOCKED = "Here we go!",
		},
		DIVININGRODSTART = "I'll be seeing a few of these.",
		DRAGONFLY = "A very hot-headed creature.",
		LAVASPIT = 
		{
			HOT = "I don't want to step in that.",
			COOL = "I think I can walk near it.",
		},
		DRAGONFRUIT = "This one's new.",
		DRAGONFRUIT_COOKED = "It's good!",
		DRAGONFRUIT_SEEDS = "I don't recognize these seeds.",
		DRAGONPIE = "No windowsill to cool it, darn.",
		DRUMSTICK = "It... smells like berries?",
		DRUMSTICK_COOKED = "Well, the berry taste covers any need for sauce.",
		DUG_BERRYBUSH = "I can plant berrybush now!",
		DUG_GRASS = "I can plant grass now!",
		DUG_MARSH_BUSH = "I can plant bush now!",
		DUG_SAPLING = "I can plant sapling now!",
		DURIAN = "Ugh! It smells horrible!",
		DURIAN_COOKED = "That just made it stronger!",
		DURIAN_SEEDS = "These seeds smell foul.",
		EARMUFFSHAT = "I've never made rabbits INTO hats.",
		EGGPLANT = "He used to call these things aubergines.",
		EGGPLANT_COOKED = "Now it's more of an aburngine.",
		EGGPLANT_SEEDS = "They're kind of egg-shaped.",
		ACORN = 
		{
		    GENERIC = "These are hard to come across, here.",
		    PLANTED = "I hope it grows peacefully.",
		},
		EVERGREEN =
		{
			BURNING = "Oh, gosh!",
			BURNT = "That could've gone better.",
			CHOPPED = "Well, at least the stump is shorter.",
			GENERIC = "I've gotten used to things being taller than me.",
		},
		EVERGREEN_SPARSE =
		{
			BURNING = "Oh, shoot!",
			BURNT = "Ashes to ashes?",
			CHOPPED = "It's better for you this way, tree.",
			GENERIC = "That tree's seen better days.",
		},
		EYEPLANT = "Are they eyes or mouths?",
		FEATHERHAT = "I feel like... a... bird?",
		FEATHER_CROW = "As black as sleep itself.",
		FEATHER_ROBIN = "Quite the fiery color!",
		FEATHER_ROBIN_WINTER = "As white as snow.",
		FEM_PUPPET = "She shouldn't have to suffer...",
		FIREFLIES =
		{
			GENERIC = "If only I could glow.",
			HELD = "I'll keep you safe.",
		},
		FIREHOUND = "Is this some kind of joke?",
		FIREPIT =
		{
			EMBERS = "It's too low!",
			GENERIC = "Light's my only defense against Them.",
			HIGH = "Ah, it's so comfortable.",
			LOW = "Quickly! More fuel!",
			NORMAL = "This should be okay.",
			OUT = "I-it can be started back up, at least?",
		},
		FIRESTAFF = "Let's see how They like this!",
		FISH = "It's missing something...",
		FISHINGROD = "I'll eat for the night, at least.",
		FISHSTICKS = "I hope I don't swallow any reall twigs, though.",
		FISHTACOS = "Ugh, the fish keeps falling out!",
		FISH_COOKED = "It smells a little less... fishy.",
		FLINT = "I think I can make tools from this.",
        FLOWER = 
		{
		    GENERIC = "They're pretty, but not enough to trade mine.",
		    ROSE = "It's my... flower...",
		},
		FLOWERHAT = "It goes lovely with mine!",
		FLOWER_EVIL = "Those are better off under my heel.",
		FOLIAGE = "I suppose I could eat it.",
		FOOTBALLHAT = "There's a reason they wear these!",
		FROG =
		{
			DEAD = "Good riddance.",
			GENERIC = "It's not as sweet as it looks.",
			SLEEPING = "I'll be quiet.",
		},
		FROGGLEBUNWICH = "Did it just... twitch?",
		FROGLEGS = "This is... different.",
		FROGLEGS_COOKED = "Let me pretend it's chicken.",
		FRUITMEDLEY = "Light and sweet.",
		GEARS = "Did these belong to a machine?",
		GHOST = "I'm sorry!",
		GOLDENAXE = "At least the tools look nicer.",
		GOLDENPICKAXE = "I feel like this shouldn't... work.",
		GOLDENPITCHFORK = "Do I really need this?",
		GOLDENSHOVEL = "It's a gold digger.",
		GOLDNUGGET = "Not so sure it holds as much value here.",
		GRASS =
		{
			BARREN = "It needs help.",
			WITHERED = "I might wither, too.",
			BURNING = "Oh!",
			GENERIC = "I've heard of tall grass, but...",
			PICKED = "Hmph.",
		},
		GREEN_CAP = "Will it make me shrink?",
		GREEN_CAP_COOKED = "Please don't make me shrink.",
		GREEN_MUSHROOM =
		{
			GENERIC = "Does it do something different?",
			INGROUND = "It's not time.",
			PICKED = "It'll grow back, I think.",
		},
		GUNPOWDER = "It's only a last resort, okay?",
		HAMBAT = "I hope this proves worthy of the food.",
		HAMMER = "It's just working... backwards!",
		HEALINGSALVE = "I used to hate this stuff when I was a kid.",
		HEATROCK =
		{	
			FROZEN = "It's freezing!",
			COLD = "Nice and cold.",
			GENERIC = "The multipurpose stone.",
			WARM = "This is better for these gloves.",
			HOT = "Hot, hot!",
		},
		HOME = "It's where the heart is.",
		HOMESIGN = 
		{
			GENERIC = "I'm sure it says something?",
			BURNT = "It says nothing now.",
		},
		HONEY = "Sweet to eat and sweet to call someone!",
		HONEYCOMB = "I could make a new bee home.",
		HONEYHAM = "I couldn't eat this on my own!",
		HONEYNUGGETS = "This is more my size!",
		HORN = "I can call back-up!",
		HOUND = "It'll need more than a muzzle!",
		HOUNDBONE = "If you don't throw them one, they get their own.",
		HOUNDMOUND = "The worst sort of dog door.",
		ICEBOX = "Snowmen could catch frostbite!",
		ICEHOUND = "Someone has a horrible sense of humour.",
		INSANITYROCK =
		{
			ACTIVE = "It's piercing the sky, like my headache.",
			INACTIVE = "I'll try not to trip on that.",
		},
		JAMMYPRESERVES = "I could use some toast.",
		KABOBS = "That's all the nutrients you need in one meal.",
		KILLERBEE =
		{
			GENERIC = "Buzz off!",
			HELD = "Not so nasty now, huh?",
		},
		KNIGHT = "It's like a chess piece.",
		KOALEFANT_SUMMER = "I'm scaring it away!",
		KOALEFANT_WINTER = "I almost didn't see you!",
		KRAMPUS = "Aren't I a little too old for you!?",
		KRAMPUS_SACK = "Oh thank goodness, no children.",
		LEIF = "It looks so sad.",
		LEIF_SPARSE = "Now I feel sad for it.",
		LIGHTNING_ROD =
		{
			CHARGED = "It looks dangerous to stand by, but...",
			GENERIC = "Storms can be dangerous!",
		},
		LITTLE_WALRUS = "Go away, blubbernugget!",
		LIVINGLOG = "I'd feel horrible burning it.",
		LOCKEDWES = "I think he's really in trouble!",
		LOG =
		{
			BURNING = "It's a less efficient campfire.",
			GENERIC = "Perfect fire food.",
		},
		LUREPLANT = "There's nothing I trust about that.",
		LUREPLANTBULB = "I suppose I can plant it again.",
		MALE_PUPPET = "He shouldn't have to suffer...",
		MANDRAKE =
		{
			DEAD = "Do I cook it?",
			GENERIC = "You're an energetic little guy!",
			PICKED = "It walks!",
		},
		MANDRAKESOUP = "Maybe it can be a remedy.",
		MARBLE = "I've seen lovely furniture made from this.",
		MARBLEPILLAR = "How extraordinary!",
		MARBLETREE = "It has a cute sort of whimsy.",
		MARSH_BUSH =
		{
			BURNING = "Can it talk?",
			GENERIC = "Why does it... remind me of someone.",
			PICKED = "Oh, I've made more holes in my gloves...",
		},
		MARSH_PLANT = "What kind is that?",
		MARSH_TREE =
		{
			BURNING = "Fire and spikes... great.",
			BURNT = "It would crumble before it'd poke me.",
			CHOPPED = "Point, Charlie.",
			GENERIC = "Wouldn't want that to fall on me!",
		},
		MAXWELL = "I-it's... It's... him.",
		MAXWELLHEAD = "W-what happened to you?! Maxy?!",
		MAXWELLLIGHT = "I wish I could make THESE!",
		MAXWELLLOCK = "I-it's okay... I can set you free!",
		MAXWELLTHRONE = "Oh... Oh no. No...",
		MEAT = "Once I cook it, I bet it'll be great!",
		MEATBALLS = "Just as good without the pasta!",
		MEAT_DRIED = "Portable and long-lasting.",
		MERM = "They offend me and my nose.",
		MINERHAT = "Hands free and lit up! Perfect!",
		MONKEY = "They're like toddlers, only... creepier.",
		MONKEYBARREL = "Gosh, that spooked me!",
		MONSTERLASAGNA = "It looks better, but I still don't want to try it.",
		MONSTERMEAT = "Purple isn't a good colour on meat.",
		MONSTERMEAT_DRIED = "Now it looks hairy.",
		MOSQUITO =
		{
			GENERIC = "Oh, bug off!",
			HELD = "One wrong move, and it's my palm!",
		},
		MOSQUITOSACK = "Whose blood is this? WHAT's blood is this?",
		MOUND =
		{
			DUG = "I have this awful feeling in my stomach.",
			GENERIC = "I should leave the resting lie.",
		},
		NIGHTLIGHT = "It's pretty, but... I-I don't like it.",
		NIGHTMAREFUEL = "Never again.",
		NIGHTSWORD = "It's as strong as the night. What a coincidence...",
		NITRE = "What can I use this for?",
		ONEMANBAND = "I've never been much of a musician.",
		PANDORASCHEST = "Maybe there's hope yet.",
		PANFLUTE = "It plays beautifully.",
		PAPYRUS = "I could write myself notes.",
		PENGUIN = "What a fancy feathered fellow.",
		PERD = "It's as hungry as me!",
		PEROGIES = "The filling is a surprise!",
		PETALS = "Oh, I'm so clumsy!",
		PETALS_EVIL = "Clumsy, clumsy me.",
		PICKAXE = "It's better at picking rocks than fights.",
		PIGGYBACK = "It's heavy, but I could use the help.",
		PIGKING = "Should I curtsy?",
		PIGMAN =
		{
			DEAD = "He rests in pieces.",
			FOLLOWER = "I could always use an extra hand.",
			GENERIC = "They seem very simple... N-not that that's bad!",
			GUARD = "I wish I had an army taking care of my fire.",
			WEREPIG = "I take back the \"simple\" comment!",
		},
		PIGSKIN = "How gruesome!",
		PIGTENT = "No thank you!",
		PIGTORCH = "I don't think they're sharing.",
		PINECONE = 
		{
		    GENERIC = "I should keep the trees going.",
		    PLANTED = "Grow up big and strong!",
		},
		PITCHFORK = "I can move around ground and... ground.",
		PLANTMEAT = "The most confusing thing I'll ever eat.",
		PLANTMEAT_COOKED = "It looks more meat-like now. I think.",
		PLANT_NORMAL =
		{
			GENERIC = "It's a surprise plant.",
			GROWING = "Almost done?",
			READY = "Ripe for the picking!",
			WITHERED = "The heat ruined the surprise.",
		},
		POMEGRANATE = "I'm already in a sort of Hades.",
		POMEGRANATE_COOKED = "Did she eat it like this, too?",
		POMEGRANATE_SEEDS = "Normally, you eat these.",
		POND = "I wonder what calls it home down there.",
		POOP = "That smell's not leaving these gloves, is it?",
		PUMPKIN = "I can bake something delicious from this.",
		PUMPKINCOOKIE = "Delicious, as I thought.",
		PUMPKIN_COOKED = "A little more refined, at least.",
		PUMPKIN_LANTERN = "I feel like a kid again!",
		PUMPKIN_SEEDS = "The seeds are the best part.",
		PURPLEAMULET = "This isn't my kind of jewelry.",
		PURPLEGEM = "It has an elegant, yet ominous color.",
		RABBIT =
		{
			GENERIC = "These little guys used to have the job before me.",
			HELD = "If only I had a proper hat.",
		},
		RABBITHOLE = 
		{
			GENERIC = "It's the dressing room for our fluffy assistants.",
			SPRING = "Show's postponed for now.",
		},
		RATATOUILLE = "That's a unique way to serve vegetables.",
		RAZOR = "...Well it's not for me!",
		REDGEM = "A very lively color!",
		RED_CAP = "Will it make me grow?",
		RED_CAP_COOKED = "Please make me grow.",
		RED_MUSHROOM =
		{
			GENERIC = "I know better than to trust mushrooms.",
			INGROUND = "It's too late.",
			PICKED = "It'll grow again.",
		},
		REEDS =
		{
			BURNING = "Oops.",
			GENERIC = "The wind's own instrument.",
			PICKED = "If I need any, I can come back.",
		},
        RELIC = 
        {
            GENERIC = "Someone made a beautiful job of this.",
            BROKEN = "It looks like it was something, once.",
        },
        RUINS_RUBBLE = "Time has taken its course.",
        RUBBLE = "It's just rock, now.",
		RESURRECTIONSTONE = "I hope that did something good.",
		ROBIN =
		{
			GENERIC = "Go bird, go!",
			HELD = "Shh, it's okay!",
		},
		ROBIN_WINTER =
		{
			GENERIC = "What a pretty bird!",
			HELD = "I've got you, don't worry.",
		},
		ROBOT_PUPPET = "It shouldn't have to suffer...",
		ROCK_LIGHT =
		{
			GENERIC = "That's one hot rock!",
			OUT = "It seems cool enough to get by.",
			LOW = "It looks pretty warm over there.",
			NORMAL = "I should stay away!",
		},
		ROCK = "I don't think either of us could lift that.",
		ROCKS = "To what should I dedicate them?",
        ROOK = "I should stay out of its way!",
		ROPE = "Such a pain to make.",
		ROTTENEGG = "How foul!",
		SANITYROCK =
		{
			ACTIVE = "I've seen this somewhere before...",
			INACTIVE = "Ugh, my head.",
		},
		SAPLING =
		{
			BURNING = "Oops!",
			WITHERED = "Don't give up!",
			GENERIC = "I wish I could grow too, tiny tree.",
			PICKED = "Thanks for your help, little tree.",
		},
		SEEDS = "Now, onto planting.",
		SEEDS_COOKED = "Eating works too.",
		SEWING_KIT = "Good, I thought my dress was doomed.",
		SHOVEL = "The world is my sandbox.",
		SILK = "Put together, nothing can tear through.",
		SKELETON = "I'm gonna be sick.",
		SKELETON_PLAYER = "Ooh, here comes breakfast.",
		SKULLCHEST = "I don't think I'm interested in what that has.",
		SMALLBIRD =
		{
			GENERIC = "They're so cute when they're not... big!",
			HUNGRY = "I think it wants food.",
			STARVING = "I'm working on it, don't worry!",
		},
		SMALLMEAT = "Just my size!",
		SMALLMEAT_DRIED = "Bite-sized and long lasting.",
		SPEAR = "I'm not much for weapons, but I'll have to be.",
		SPIDER =
		{
			DEAD = "Good. Riddance!",
			GENERIC = "They're so huge here!",
			SLEEPING = "I don't care to wake it.",
		},
		SPIDERDEN = "That's a web I don't want to be dinner to!",
		SPIDEREGGSACK = "Should I burn it or place it...",
		SPIDERGLAND = "It has a sort of medicinal smell.",
		SPIDERHAT = "Aaaugh, I'm WEARING it!",
		SPIDERQUEEN = "They get even bigger?!",
		SPIDER_WARRIOR =
		{
			DEAD = "That'll teach you!",
			GENERIC = "Huge and mean!",
			SLEEPING = "It even hisses in its sleep.",
		},
		SPOILED_FOOD = "I have my limitations, and this is beyond them.",
		STATUEHARP = "I think it looks wonderful, even so.",
		STATUEMAXWELL = "Why does he look so menacing?",
		STINGER = "My skin's met enough of these.",
		STRAWHAT = "It'll certainly keep the sun from my eyes.",
		STUFFEDEGGPLANT = "Ooh, yummy!",
		SUNKBOAT = "Can it still be called a boat?",
		SWEATERVEST = "It's cute on ladies, too.",
		TAFFY = "It sticks to my teeth something awful.",
		TALLBIRD = "Maxw-? Whoops! Nevermind.",
		TALLBIRDEGG = "I feel horrible for taking her baby.",
		TALLBIRDEGG_COOKED = "I feel worse for cooking her baby.",
		TALLBIRDEGG_CRACKED =
		{
			COLD = "I think it needs to be warmer.",
			GENERIC = "Mama Charlie, here to help!",
			HOT = "That's too warm for it!",
			LONG = "Life takes time to grow.",
			SHORT = "Gosh, I'll be a parent soon!",
		},
		TALLBIRDNEST =
		{
			GENERIC = "I should leave it alone.",
			PICKED = "Looks like she'll be having a baby.",
		},
		TEENBIRD =
		{
			GENERIC = "You're a lot grumpier than when you were young.",
			HUNGRY = "It wants to eat.",
			STARVING = "It REALLY wants to eat.",
		},
		TELEPORTATO_BASE =
		{
			ACTIVE = "Only one way to find out.",
			GENERIC = "Is this what I need to get to him?",
			LOCKED = "I think it needs a key.",
			PARTIAL = "I think it's incomplete?",
		},
		TELEPORTATO_BOX = "Something's whirring inside!",
		TELEPORTATO_CRANK = "How does this work?",
		TELEPORTATO_POTATO = "What IS this?",
		TELEPORTATO_RING = "This wouldn't belong to those nasty machines, would it?",
		TELESTAFF = "Oh, what places will I go?",
		TENTACLE = "Is it living?",
		TENTACLESPIKE = "The spikes give it that extra umph!",
		TENTACLESPOTS = "I wonder what these spots are.",
		TENTACLE_PILLAR = "There's more?",
		TENTACLE_GARDEN = "And where is THAT one coming from?",
        TENTACLE_PILLAR_ARM = "Does it have-? No...",
		TOPHAT = "This would look better on him than me.",
		TORCH = "Any fire will do.",
		TRAP = "Anything that crawls will fit, I think.",
		TRAP_TEETH = "This'll ruin someone's day.",
		TRAP_TEETH_MAXWELL = "I'll pick up my feet!",
		TREASURECHEST_TRAP = "Should I look inside?",
		TREECLUMP = "No going through there.",
		TRINKET_1 = "Well, it would've been fun.",
		TRINKET_10 = "I've got my own chompers, thanks.",
		TRINKET_11 = "I think my hair looks fine!",
		TRINKET_12 = "What is it doing here?",
		TRINKET_2 = "Ooh, I can't even play it.",
		TRINKET_3 = "I've undone some bad knots, but this...",
		TRINKET_4 = "The world is your lawn, gnome.",
		TRINKET_5 = "I might be small enough.",
		TRINKET_6 = "The machines must've dropped this. Good.",
		TRINKET_7 = "I'm so bad at these!",
		TRINKET_8 = "If I had a tub, I wouldn't look like this.",
		TRINKET_9 = "I wish I could re-purpose these.",
		TRUNKVEST_SUMMER = "Sleeveless. Just what I need.",
		TRUNKVEST_WINTER = "At least it's warmer.",
		TRUNK_COOKED = "I've never had steak like this.",
		TRUNK_SUMMER = "I'm sorry it had to die.",
		TRUNK_WINTER = "It was very congested, ick.",

		TURF_CARPETFLOOR = "It's like home...",
		TURF_CHECKERFLOOR = "I could play a life-size game.",
		TURF_DIRT = "Dusty.",
		TURF_FOREST = "There's little bits of roots on the bottom.",
		TURF_GRASS = "There's some grass stuck to it still.",
		TURF_MARSH = "Eugh, it's goopy.",
		TURF_ROAD = "I could make a path!",
		TURF_ROCKY = "It's very rough.",
		TURF_SAVANNA = "No bunnies stuck to it, thankfully.",
		TURF_WOODFLOOR = "I kind of missed the clicking of my heels.",

		TURF_CAVE = "Some ground.",
		TURF_FUNGUS = "Some ground.",
		TURF_SINKHOLE = "Some ground.",
		TURF_UNDERROCK = "Some ground.",
		TURF_MUD = "Some ground.",

		TURKEYDINNER = "It reminds me of the holidays.",
		TWIGS = "I should stock up.",
		UMBRELLA = "This'll solve some of my hair problems.",
		WAFFLES = "Ooh, breakfast!",
		WALL_HAY_ITEM = "I should plan carefully before I put it down.",
		WALL_STONE = "This is more than enough protection!",
		WALL_STONE_ITEM = "I should plan carefully before I put it down.",
		WALL_WOOD_ITEM = "I should plan carefully before I put it down.",
		WALL_RUINS = "Did the people before make walls like this?",
		WALL_RUINS_ITEM = "I should plan carefully before I put it down.",
		WALRUS = "He seems like nasty company.",
		WALRUSHAT = "It's... pretty sweaty.",
		WALRUS_CAMP =
		{
			EMPTY = "Was someone here?",
			GENERIC = "Where did they get all that ice?",
		},
		WALRUS_TUSK = "How did he eat with this...?",
		WASPHIVE = "Their queen must be a monster.",
		WETGOOP = "It's still useful, I think.",
		WINTERHAT = "It's kind of cute!",
		WORMHOLE =
		{
			GENERIC = "What is that?",
			OPEN = "Ah! I-is that a mouth?!",
		},
		WORMHOLE_LIMITED = "It looks sickly. I'd rather avoid it.",
		ACCOMPLISHMENT_SHRINE = "What in the world do I need that for?",	
		
				------------------------------------------------------ capy ------------------------------------------------------
		AERODYNAMICHAT = "Hat with special shape, I'll find a use for it.",
		ARMOR_LIFEJACKET = "For those who can't swim.",
		ARMOR_SNAKESKIN = "Mr. Snake makes a good cloth.",
		ARMOR_WINDBREAKER = "The wind can no longer stop me!",
		ARMORLIMESTONE = "It's the smell of lime...",
		ARMOROBSIDIAN = "Hot but protected.",
		ARMORSEASHELL = "So many shells formed a armor.",
		ARMOUREDBOAT = "A strong enough boat!",
		BABYOX = "A smelly but cute baby!",
		BALLPHIN = "Hey, do you want me to feed you some fish?",
		BALLPHINPOD = "Wow!",
		BAMBOOTREE = "It can grow through just about anything.",
		BERRYBUSH2_SNAKE = "They look delicious!",--I don't think these should have diff name or examine text
		BERRYBUSH_SNAKE = "They look delicious!",--I don't think these should have diff name or examine text
		BIOLUMINESCENCE = "So pretty light!",
		BLOWDART_POISON = "I hope I don't get poisoned myself",
		BOAT_LANTERN = "Light at sea! Keep Them away!",
		BOTTLELANTERN = "This light will keep Them away!",
		BURIEDTREASURE = "Look at my luck!",
		BUSH_VINE = "Rope suitable for making wine.",
		SNAKEDEN = "Rope suitable for making wine.",--I don't think these should have diff name or examine text
		CANNONSHOT = "The whole sea is my world now!",
		CAPTAINHAT = "I'm a captain now!",
		CARGOBOAT = "Now I can fill up at sea.",
		CHIMINEA = "Now the flame can't be blown by the wind!",
		CIRCLINGSEAGULL = "A bird circling at sea.",
		CLOTHSAIL = "Ride the wind and waves.",
		COCONUT = 
		{
		    GENERIC = "A huge coconut, need something to cut open.",
		    PLANTED = "Grow up, little coconut tree!",
		},
		COCONUT_COOKED = "Baked perfectly.",
		COFFEE = "A cup of refreshment after a magic show!",
		COFFEEBEANS = "Should be able to grind out some coffee powder.",
		COFFEEBEANS_COOKED = "Cooked coffee beans can make a good cup of coffee!",
		COFFEEBUSH = "These must make good use.",
		CORAL = "Pretty colors! But what can I do with it?",
		CORALREEF = "These are pretty rocks!",
		CUTLASS = "It's very sharp, I need to watch out when using.",
		DEAD_SWORDFISH = "Even so I have to handle it with gloves.",
		DEPLETED_BAMBOOTREE = "Anymore bamboos? Hello?",
		DEPLETED_BUSH_VINE = "I think it will grow back.",
		DOYDOY = "Well hey there little cute guy!",
		DOYDOYBABY = "So little and cute!",
		DOYDOYEGG = "I will protect this.",
		DOYDOYEGG_COOKED = "The fire has gone too far!",
		DOYDOYEGG_CRACKED = "Oh no!",
		DOYDOYFEATHER = "The feathers feel so warm.",
		DOYDOYNEST = "It will hatch into a doydoy, I can't wait to see!",
		DUBLOON = "Lucky money, it's going to come in handy.",
		DUG_BAMBOOTREE = "Is bamboo, I can plant it now.",
		DUG_BERRYBUSH2 = "Is eatables, I can plant it now.",
		DUG_BUSH_VINE = "Will it bear fruits?",
		DUG_COFFEEBUSH = "If it can grow into coffee...",
		EARRING = "Does it suit me?",
		FABRIC = "This should be able to be woven into a dress!",
		FEATHERSAIL = "It's even faster!",
		FISHINHOLE = "Fishy...",
		GASHAT = "A little improvement on the air.",
		GOLDENMACHETE = "It's a gold hacker.",
		IRONWIND = "Full speed pursuit!",
		JELLYFISH = "I have to make sure it's not poisonous.",
		JELLYFISH_DEAD = "It has been dead...",
		JELLYFISH_COOKED = "Cooked well.",
		JELLYFISH_PLANTED = "Watch out its sting.",
		JELLYJERKY = "Look like food.",
		JUNGLETREESEED =
        {
            GENERIC = "Its stings are not very sharp.",
            PLANTED = "Grow, jungle little tree!",
        },
		LAVAPOOL = "Oh! Better stay away.",
		LIMESTONE = "True lime...",
	    LIMPETS = "Seafood is everywhere!",
		LIMPETS_COOKED = "Can rest assured now.",
		LOBSTERHOLE = "Come out! Little guy!",
		LOGRAFT = "But that's all I can do.",
		MOSQUITO_POISON = "I need a net!",
		MUSSEL = "Peel off the shell and cook.",
		MUSSEL_COOKED = "I can contrive without condiments.",
		MUSSEL_STICK = "Can attract some sea shells, I guess.",
		OBSIDIAN = "I doubt if it is obsidian.",
		OBSIDIAN_WORKBENCH = "Feel the hot energy of the volcano.",
		OBSIDIANAXE = "Tree will be given the fiery punishment!",
		OBSIDIANCOCONADE = "This is enough to lead to destructively smash to pieces.",
        OBSIDIANFIREPIT =
		{
			EMBERS = "There's a little left.",
			GENERIC = "Obsidian fire should show Them!",
			HIGH = "That's warm and bright enough!",
			LOW = "Too low, eh!",
			NORMAL = "Obsidian fire should show Them!",
			OUT = "I need to relight it!",
		},
		OBSIDIANMACHETE = "Fiery hacker I am now!",
		SPEAR_OBSIDIAN = "Warm and glowing red, WOW!",
		OBSIDIANSPEARGUN = "Shoot with fire...",
		PACKIM = "A special bird, hello!",
		PACKIM_FISHBONE = "Why are there only fish bones left?",
		PALMLEAF = "These would make a lovely skirt.",
		PALMTREE = 
		{
			BURNING = "Fervent punishment!",
			BURNT = "Unfortunately to what it leaves behind.",
			CHOPPED = "Another one bites the dust, oh!",
			GENERIC = "Its leaves and fruits are very excellent!",
		},
		PALMTREE_BURNT = "Unfortunately to what it leaves behind.",
		PALMTREE_STUMP = "Another one bites the dust, oh!",
		PARROT = "Hello! Red little guy!",
		PIRATEHAT = "A hat for pirate.",
		PIRATIHATITATOR = "Maxy would be proud, won't he?",
		POISONHOLE = "I think I'll stay away from that.",
		RAFT = "These bamboos are stronger than I thought, aren't they?",
		ROWBOAT = "Medium boat. That's it first.",
		SAIL = "For sailing.",
		SAND = "Very common thing, eh.",
		SANDBAG = "These are not for training, are they?",
		SANDBAG_ITEM = "Find the suitable place, Charlie.",
		SANDHILL = "Reminds me of playing with others when I was a child...",
		SEAGULL = "Come here! I can give you something to eat!",
		SEASACK = "A good way to prevent food spoilage.",
		SEASHELL = "A girl picking up shells...",
		SEASHELL_BEACHED = "She sells sea shell...",
		SEATRAP = "I have to do this to survive.",
		SEAWEED = "Some food from sea, it's still slippery, eh.",
		SEAWEED_COOKED = "It has been cooked and no longer slippery, eh.",
		SEAWEED_DRIED = "It has been dried and no longer slippery, eh.",
		SEAWEED_PLANTED = "Don't get entangled.",
		SHARX = "It doesn't look good!",
		SLOTMACHINE = "It's time to witness my luck.",
		SNAKE = "Animals without feet, ew!",
		SNAKE_FIRE = "You stir up a fire and burn yourself!?",
		SNAKESKIN = "Would make a lovely dress.",
		SNAKESKINHAT = "A... I'll put it on first to see if it fits.",
		SPEAR_POISON = "Better not use poison, Charlie.",
		SPEARGUN = "Cruel treatment of prey...",
		SPEARGUN_POISON = "Even crueller...",
		STUNGRAY = "It has bad breath!",
		SUPERTELESCOPE = "Wider range.",
		SWORDFISH = "Its mouth is like a sword!",
		TELESCOPE = "See what's going on around.",
		TIGERSHARK = "Is it tiger or shark?",
		TIGERSHARKSHADOW = "Don't you!",
		TOUCAN = "Bird with big mouth.",
		TRAWLNET = "Looking for underwater things.",
		TRAWLNETDROPPED = "Underwater things are caught.",
		TREEGUARD = "I am so sorry for that!",
		TRIDENT = "A weapon with three thorns.",
		TRINKET_13 = "Can I drink?",
		TRINKET_14 = "I am not a voodooist.",
		TRINKET_15 = "I don't know this musical instrument.",
		TRINKET_16 = "What is that? I don't understand.",
		TRINKET_17 = "Whose is it? It looks old.",
		TRINKET_18 = "I don't know anything about vase.",
		TRINKET_19 = "I'm not sick!",
		TURBINE_BLADES = "I swear I'll find a use for it.",
		TURF_BEACH = "Coconut beach!",
		TURF_JUNGLE = "Jungle turf. See if it suits my flower.",
		VENOMGLAND = "Lucky I'm wearing gloves!",
		VINE = "Unfortunately there are no grapes to make wine.",
		VOLCANO = "Natural. Deities there?",
		VOLCANO_ALTAR = "Altar? Dose the deities there need sacrifice?",
		VOLCANO_ALTAR_BROKEN = "A broken altar?",
		VOLCANO_EXIT = "Exit of the volcano.",
		VOLCANOSTAFF = "Now I can control the volcano!",
		WALL_LIMESTONE = "Made of hard materials.",
		WALL_LIMESTONE_ITEM = "I should build it on the ground, only in this way can it work.",
		WHALE_BLUE = "Eh, cute blue whale!",
		WHALE_CARCASS_BLUE = "Oh, even it...",
		WHALE_CARCASS_WHITE = "He's calm now, isn't he?",
		WHALE_WHITE = "Obviously, the hook on his body angered him!",
		CRABHOLE = "Is there any fluffy assistant I'm looking forward to?",
		CRAB =
		{
			GENERIC = "There are no fluffy assistants, but there are crabs.",
			HIDDEN = "It's performing magic with me!",
		},
		BERMUDATRIANGLE = "That electric triangle doesn't look good.",
		BOATCANNON = "Can't we find a peaceful solution?",
		BOATREPAIRKIT = "Used to cure damaged boats.",
		MACHETE = "I am a hacker now.",
		LUGGAGECHEST = "Quite a dapper suitcase.",
		DRAGOON = "You look hot...",
		ANTIVENOM = "I hope I never get poisoned...",
		BAMBOO = "What can I used for?",
		FROG_POISON = "You are sick...",
		OX = "You are huge there!",
		PEACOCK = "Can grow beautiful feathers!",
		SEAGULL_WATER = "How was your time at sea, bird?",
		SNAKE_POISON = "Its teeth don't look very good...",
		SOLOFISH = "With a dog's mouth, how does it do it?",
		SPOILED_FISH = "It began to rot.",
		TWISTER = "A huge Tornado! Something's driving it.",
		SAND_CASTLE =
		{
			GENERIC = "It reminds me of my childhood with my sister...",
			SAND = "These sands make up memories...",
		},
		SNAKEOIL = "This thing... does it really work?",
		LOBSTER = "For cooking, I need a helper.",
		MESSAGEBOTTLE = "I'm going to open it and see the paper inside.",
		MESSAGEBOTTLEEMPTY = "Is an empty bottle that can hold water...",
		SHARK_FIN = "It's cruel! Also illegal to make shark fin soup with this!",
		VOLCANO_ALTAR =
		{
			GENERIC = "Altar of what?",
			OPEN = "W-What happened to it?",
		},
		ELEPHANTCACTUS = "Those thorns had better not be poisonous!",
		ELEPHANTCACTUS_ACTIVE = "It is active! Eh!",
		ELEPHANTCACTUS_STUMP = "At last, I took it.",
		DOUBLE_UMBRELLAHAT = "Rainwater will flow out from the umbrella below!",
		MUSSEL_FARM =
		{
			GENERIC = "I hope these will attract some mussels.",
			STICKPLANTED = "Now it's in the sea.",
		},
		WOODLEGS_CAGE = "Yeah, yeah, I will release you!",

		PIRATIHATITATOR =
		{
		 	GENERIC = "Maxy would be proud.",
		 	BURNT = "Ashes to ashes.",
		},
		
		COFFEEBUSH =
		{
			BARREN = "Oh! I should find a way!",
			GENERIC = "If it can grow into coffee...",
			PICKED = "I think it can grow back.",
			WITHERED = "I should fix this.",
		},

		DUG_ELEPHANTCACTUS = "Thorny bush! I need to think about it...",
		WHALE_BUBBLES = "There's no fish down there, right?",

		ARMORCACTUS = "I hope it will ensure my safety inside.",
		BAMBOOTREE =
		{
			BURNT = "No roasted bamboo shoots!",
			CHOPPED = "Does it grow bamboo shoots?",
			GENERIC = "I came to the bamboo forest.",
		},
		BLOWDART_FLUP = "Fire stun bullets at the enemy.",
		BLUBBER = "I think painting that is not a good choice.",
		BLUBBERSUIT = "It's warm, but...",
		BOAT = "A true boat.",
		BOAT_TORCH = "Light at boat is OK.",
        BOOK_METEOR = "What effect will this magic book have on the volcano?",
		BRAINJELLYHAT = "I feel a little dizzy after wearing it.",
		BUOY = "Never light out? Good idea!",
		BUSH_VINE =
		{
			BURNT = "It was burnt.",
			CHOPPED = "It was choppped.",
			GENERIC = "Rope suitable for making wine.",
		},
		COCONADE =
		{
			BURNING = "Run! Run!",
			GENERIC = "The power of the bomb is unimaginable...",
		},
		COCONUT_HALVED = "I can drink coconut milk now.",
		COFFEEBOT = "Dose it make coffee?",
		COMPASS =
		{
			E = "East!",
			GENERIC = "I can't get a reading.",
			N = "North!",
			NE = "Northeast!",
			NW = "Northwest!",
			S = "South!",
			SE = "Southeast!",
			SW = "Southwest!",
			W = "West...",
		},
		CORAL_BRAIN = "It is full of magical wisdom...",
		CORAL_BRAIN_ROCK = "A tree full of magic and wisdom!",
		CRATE = "Don't know where it comes from yet.",
		DEPLETED_GRASS =
		{
			GENERIC = "I forgot watering it!",
		},
		DEPLETED_GRASS_WATER = "But it shouldn't!",
		DRAGOONDEN = "I guess there's a hot tempered creature in it.",
		DRAGOONEGG = "Its temperature is really easy to hatch, of, of course, it's not what I want!",
		DRAGOONHEART = "I also hope to have a warm heart.",
		DRAGOONSPIT = "These hot things don't suit me!",
		FISH_RAW = "Cooking it with fire will be much better.",
		FISH_RAW_SMALL = "Just the right amount!",
		FISH_RAW_SMALL_COOKED = "I'm not sure if it has bones, but it really smells good.",
		FLAMEGEYSER = "Normally I think light is good, but this...",
		FLOTSAM = "So Should I get it?",
		FLUP = "Only one eye...",
		FRESHFRUITCREPES = "The chef made it perfect!",
		GRASS_WATER = "This one I don't need to water.",
		HAIL_ICE = "Some cold fragments.",
		ICEMAKER =
		{
			HIGH = "It is enough fuel to run.",
			LOW = "It is low now.",
			NORMAL = "Can make ice, amazing!",
			OUT = "It need some fuel to restart.",
			VERYLOW = "It is very low now.",
		},
		JUNGLETREE =
		{
			BURNING = "The fire looks big!",
			BURNT = "Now only black charcoal is left here.",
			CHOPPED = "That's all that's left.",
			GENERIC = "A big leafy tree.",
		},
		KNIGHTBOAT = "Maxy created you?",
		KRAKEN = "Kraken in myth?",
		KRAKENCHEST = "I will open it and see what's inside.",
		KRAKEN_TENTACLE = "Kraken's tentacle in myth?",
		LIMPETROCK =
		{
			GENERIC = "Full of seafood.",
			PICKED = "It is empty now.",
		},
		LIVINGJUNGLETREE = "What's come over you?",
		LOBSTER_DEAD = "Cooking will be better.",
		LOBSTER_DEAD_COOKED = "It's dinner time!",
		MAGIC_SEAL = "A seal using magic?",
		MAGMAROCK = "Dig it out!",
		MAGMAROCK_FULL = "Dig it out!",
		MAGMAROCK_GOLD = "Dig it out!",
		MAGMAROCK_GOLD_FULL = "Dig it out!",
		MANGROVETREE = "I came into mangrove.",
		MANGROVETREE_BURNT = "It is burnt now.",
		MARSH_PLANT_TROPICAL = "Just a small plant.",
		MERMFISHER = "It is busy...",
		MERMHOUSE_FISHER = "House for those fishers.",
		MONKEYBALL = "I am no longer a kid...",
		MONSTERTARTARE = "Purple dish...",
		MOSQUITOSACK_YELLOW = "Whose poison blood?",
		MUSSELBOUILLABAISE = "Full of chewiness.",
		MYSTERYMEAT = "Ew! Disgusting!",
		NEEDLESPEAR = "Needle or spear?",
		OCTOPUSCHEST = "What's inside?",
		OCTOPUSKING = "Hello, trader!",
		OXHAT = "The shell above is unnecessary.",
		OX_FLUTE = "Blow it what will happen?",
		OX_HORN = "Horn from that water thing.",
		PALMLEAF_HUT = "Shelter from wind and rain.",
		PARROT_PIRATE = "Hi, pretty parrot with pirate hat!",
		PEG_LEG = "Is a wooden leg?",
		PIGTENT = "Pig's tent.",
		PIKE_SKULL = "Pike's skull.",
		PIRATEGHOST = "I am sorry! But I did nothing!",
		PIRATEPACK = "A treasure backpack?",
		PORTAL_SHIPWRECKED = "Something seems to be out of order.",
        PRIMEAPE = "You're not a monkey in a circus.",
        PRIMEAPEBARREL = "It doesn't smell good!",
		RAWLING = "Are you talking to me, little guy?",
		REDBARREL = "Skeleton inside!?",
		ROCK_CHARCOAL = "I don't think I can lift it.",
		ROCK_OBSIDIAN = "Not to mention its temperature.",
		SAIL_STICK = "A magic wind controller. Don't ask me why.",
		SANDBAGSMALL = "These sandbags are not for fitness, are they?",
		SANDBAGSMALL_ITEM = "Find the suitable place, Charlie.",
		SHADOWSKITTISH_WATER = "No, please don't come near me again!",
		SHARKITTEN = "Little cute, but cruel.",
		SHARKITTENSPAWNER =
		{
			GENERIC = "Who's in there?",
			INACTIVE = "How is it?",
		},
		SHARK_GILLS = "Skin from that shark.",
		SHARK_TEETHHAT = "Ten teeth... One of them is gold...",
		SHIPWRECKED_ENTRANCE = "Set sail, magic ship!",
		SHIPWRECKED_EXIT = "The voyage is about to begin!",
		SNAKEDEN =
		{
			BURNT = "It was burnt.",
			CHOPPED = "It was chopped.",
			GENERIC = "Rope suitable for making wine.",
		},
		SNAKESKINSAIL = "This sail will bring my boat to a new starting point, won't it?",
		SPEAR_LAUNCHER = "This shows how important peace is, but Maxy doesn't care.",
		SUNKEN_BOAT =
		{
			ABANDONED = "Why is it abandoned?",
			GENERIC = "The larger ship sank!",
		},
		SUNKEN_BOAT_BURNT = "Boats are flammable, even on water. Who would have thought?",
   		SUNKEN_BOAT_TRINKET_1 = "Related to ocean.", --sextant
		SUNKEN_BOAT_TRINKET_2 = "Toy? But I am not a child!", --toy boat
		SUNKEN_BOAT_TRINKET_3 = "It can't be used for lighting.", --candle
		SUNKEN_BOAT_TRINKET_4 = "It should be the main device.", --sea worther
		SUNKEN_BOAT_TRINKET_5 = "Can't put it on.", --boot
		SWEETPOTATOSOUFFLE = "Made of sweet potato.",
		SWEET_POTATO = "I've seen this in a restaurant, but it seems sweeter here!",
		SWEET_POTATO_COOKED = "Baked sweet potatoes? But it seems sweeter!",
		SWEET_POTATO_PLANTED = "I'm going to pull it out hard!",
		SWEET_POTATO_SEEDS = "These are some seeds. They smell... Sweet!",
		SWIMMINGHORROR = "Shadows are everywhere! Maxy!",
		TELEPORTATO_SW_BASE = "Maxy created it in this tropical paradise...",
		TELEPORTATO_SW_BOX = "I can clearly see the X engraved on it.",
		TELEPORTATO_SW_CRANK = "It's grass, it's not all grass.",
		TELEPORTATO_SW_POTATO = "Don't tell me Maxy's face is like this.",
		TELEPORTATO_SW_RING = "That's not ring...",
		THATCHPACK = "It is too small, eh.",
		TIDALPOOL = "A tidal pool?",
		TIDAL_PLANT = "Just a small plant, eh.",
		TIGEREYE = "An eye?",
		TRAWLNETDROPPED =
		{
			GENERIC = "What's inside?",
			SOON = "It's sinking!",
			SOONISH = "It is sinking soon!",
		},
		TREASURECHEST_TRAP = "Treasure chest trap?",
		TRINKET_20 = "Sextant?",
		TRINKET_21 = "Toy? But I am not a child!",
		TRINKET_22 = "Candle?",
		TRINKET_23 = "What?",
		TROPICAL_FISH = "Pretty fish, but I have to eat!",
		TUNACAN = "I wonder what's in it.",
		TURF_ASH = "Like burnt turf.",
		TURF_MAGMAFIELD = "A warm piece of land.",
		TURF_MEADOW = "It tastes like sweet potato.",
		TURF_SNAKESKINFLOOR = "These animal skins are exquisitely made.",
		TURF_TIDALMARSH = "The water content is very high.",
		TURF_VOLCANO = "Parts from volcano.",
		TWISTER_SEAL = "Aw! So cute!",
		VOLCANO_ALTAR_TOWER = "Altar?",
		VOLCANO_SHRUB = "There are shrubs?",
		WALLYINTRO_DEBRIS = "From boat.",
		WATERYGRAVE = "A box entangled by kelp.",
		WHALE_TRACK = "Whale!",
		WILBUR_CROWN = "Small crown for what?",
		WILBUR_UNLOCK = "Maybe you can be my assistant?",
		WILDBORE = "Look at its ugly tusks!",
		WILDBOREHEAD = "Still so ugly.",
		WILDBOREHOUSE = "It stinks.",
		WIND_CONCH = "So I can control gale.",
		WOODLEGSBOAT = "A nice boat. But I don't want to plunder!",
		WOODLEGSHAT = "Plunder is wrong!",
		WOODLEGSSAIL = "Totally wrong sail!",
		WOODLEGS_KEY1 = "Looks like it can unlock some poor man.",
		WOODLEGS_KEY2 = "Another unlocked key.",
		WOODLEGS_KEY3 = "What are I waiting for? Hurry!",
		WRECK = "A huge boat, but it was destroyed.",
		CALIFORNIAROLL = "California rolls are also delicious here!",
		BANANAPOP = "Ice sucker for summer!",
		BISQUE = "I did this at home, too.",
		CEVICHE = "Expensive things are very suitable for Maxy, but he's not here now...",
		SEAFOODGUMBO = "I want to enjoy it with Maxy...",
		SURFNTURF = "Seafood, just like those of some fancy restaurant where Maxy and I have been.",
		SHARKFINSOUP = "That's wrong, don't you, Maxy?",
		LOBSTERDINNER = "Dinner is ready! Let's enjoy lobster!",
		LOBSTERBISQUE = "Is it a real lobster?",
		JELLYOPOP = "Unexpectedly, there is jellyfish jelly!",

		--- 5C DLC ------------------------------------------------------------------------------------------------

        ENCRUSTEDBOAT = "The boat is very hard but slow.",
        --BABYOX = "Baby?",
        BALLPHINHOUSE = "They decorated their house beautifully.",
        DORSALFIN = "Poor dolphin!",
        NUBBIN = "What happened to it?",
        CORALLARVE = "It is still in the germination stage.",
        RAINBOWJELLYFISH = "Shine jellyfish.",
        RAINBOWJELLYFISH_PLANTED = "Luminous jellyfish? I love it!",
        RAINBOWJELLYFISH_DEAD = "No longer shine jellyfish.",
        RAINBOWJELLYFISH_COOKED = "Just a cooked jellyfish now.",
        RAINBOWJELLYJERKY = "Dried... jelly?",
        WALL_ENFORCEDLIMESTONE = "Sea fortress.",
        WALL_ENFORCEDLIMESTONE_ITEM = "Sea fortress. But I have to build first.",
        CROCODOG = "Crocodile or dog?",
        POISONCROCODOG = "You look sick!",
        WATERCROCODOG = "You swim too much!",
        QUACKENBEAK = "Deep mouth.",
        QUACKERINGRAM = "Savage collision!",

        --- DLC ------------------------------------------------------------------------------------------------    

        CAVIAR = "Maxy loved his caviar.",
        CORMORANT = "The hawk flies and fish leap.",

        FISH3 = "I worked hard to cultivate this purple fish.",
        FISH4 = "What do you have to do with Parrots? Why are you yellow?",
        FISH5 = "A blue fish from a cold continent?",

        FISH3_COOKED = "The meat inside is very well cooked.",
        FISH4_COOKED = "Can you taste a parrot?",
        FISH5_COOKED = "It has become warm now.",

        FISH_FARM = 
        {
        	EMPTY = "Is empty. I need to find some fish eggs.",
			STOCKED = "The fish began to breed.",
			ONEFISH = "There are already some fish in it.",
			TWOFISH = "More fish.",
			REDFISH = "Different kind of fish.",
			BLUEFISH  = "Different kind of fish.",
        },

        ROE = "Try not to kill the goose that lays the golden eggs.",
        ROE_COOKED = "Am I threatening?",
        
        SEA_YARD =
       	{
            ON = "For curing my boat.",
            OFF = "It is off now.",
            LOWFUEL = "It doesn't seem to last long.",
        },
        SEA_CHIMINEA = 
        {
            EMBERS = "It's going out.",
            GENERIC = "No way, waves!",
            HIGH = "It is so comfortable.",
            LOW = "It is too low.",
            NORMAL = "That's enough for me.",
            OUT = "I should refill.",
        }, 

        TAR = "They are said to be precious.",
        TAR_EXTRACTOR =
        {
            ON = "It will help me collect tars.",
            OFF = "It is off now.",
            LOWFUEL = "It doesn't seem to last long.",
        },
        TAR_POOL = "But how to get it?",

        TARLAMP = "It cannot stay out of trouble, either.",
        TARSUIT = "Would it be a little extravagant?",
        TAR_TRAP = "A waste of tar...",

        TROPICALBOUILLABAISSE = "Fish chowder.",
        
        RESEARCHLAB5 = "I have learned many things at sea.",
        WATERCHEST = "Chest at sea.",
        QUACKENDRILL = "Can drill into the sea?",
        HARPOON = "It's very deep.",

		--PORKLAND SPEECH STARTS HERE--
		PIG_PALACE = "A palace. How glorious!",
		PIGMAN_QUEEN = "She must be ruler there. I have to say she dressed herself up very delicately.",
        PIG_SCEPTER = "Royal item. Well designed!",
        PIGCROWNHAT = "An item belong to royal. There's a lot of gold on it.",
		PIGMAN_BEAUTICIAN = 
		{
			GENERIC = "You look well! And very well maintained!",
			SLEEPING = "Sh! She is sleeping...",
		},
		PIGMAN_ROYALGUARD = 
		{
			GENERIC = "Reliable guy in the city.",
			SLEEPING = "He's not on guard.",
		},
		PIGMAN_COLLECTOR = 
		{
			GENERIC = "I know you're a collector, but what do you have?",
			SLEEPING = "Are you still collecting?",
		},
		PIGMAN_MAYOR = 
		{
			GENERIC = "The most influential in the city.",
			SLEEPING = "What will you meet in your dream?",
		},
		PIGMAN_BANKER = 
		{
			GENERIC = "Rich pig...",
			SLEEPING = "Pay attention to the safety of the bank!",
		},
		PIGMAN_MINER = 
		{
			GENERIC = "How industrious. Maybe I can get some rocks from him?",
			SLEEPING = "You must be tired.",
		},
		PIGMAN_MECHANIC = 
		{
			GENERIC = "He remins me of my sister.",
			SLEEPING = "How is my sister?",
		},
		PIGMAN_FARMER = 
		{
			GENERIC = "A hard-working farmer. I look forward to your good news!",
			SLEEPING = "Farm work makes pigs tired......",
		},
		PIGMAN_FLORIST = 
		{
			GENERIC = "Your flowers are also beautiful, Miss Piggy!",
			SLEEPING = "With the fragrance of flowers, she fell asleep.",
		},
		PIGMAN_STOREOWNER = 
		{
			GENERIC = "Can you bargain for me?",
			SLEEPING = "The shopkeep is sleeping... I can't shop any more.",
		},
		PIGMAN_ERUDITE = 
		{
			GENERIC = "She seems to use different magic...",
			SLEEPING = "I hope she keeps sleeping...",
		},
		PIGMAN_HATMAKER = 
		{
			GENERIC = "Please gives me a floral hat, Ms. Pig!",
			SLEEPING = "Well, it seems that she needs a rest.",
		},
		PIGMAN_PROFESSOR = 
		{
			GENERIC = "Old pig there...",
			SLEEPING = "The old pig is so troublesome.",
		},
		PIGMAN_HUNTER =
		{
			GENERIC = "Both a hunter and weapon seller.",
			SLEEPING = "I dare not provoke him.",
		},
		RECONSTRUCTION_PROJECT = 
		{
			SCAFFOLD = "Oh! That's all that's left.",
			RUBBLE = "Oh! That's all that's left.",
		},
		PIG_SHOP_FLORIST = 
		{
			GENERIC = "Do they have roses for sale? I can accept other kinds of flowers, of course.",
			BURNING = "That's not good.",
		},
        PIG_SHOP_GENERAL = 
        {
        	GENERIC = "I need to pay attention to my money.",
        	BURNING = "Fire!",
		},
        PIG_SHOP_HOOFSPA = 
        {
        	GENERIC = "A beauty salon?",
        	BURNING = "Oh!",
		},
        PIG_SHOP_PRODUCE = 
        {
        	GENERIC = "Some fresh raw food can be bought.",
        	BURNING = "Put out the fire!",
		},
        PIG_SHOP_ARCANE = 
        {
        	GENERIC = "I have a connection with magic...",
        	BURNING = "Even magic can't solve fire.",
        },
        PIG_SHOP_WEAPONS = 
        {
        	GENERIC = "I'm not good at hunting.",
        	BURNING = "Someone must put out the fire!",
        },
        PIG_SHOP_HATSHOP = 
        {
        	GENERIC = "Hat shop.",
        	BURNING = "Oh no! The hats is burning!",
        },
        PIG_SHOP_ACADEMY = 
        {
        	GENERIC = "I'm not interested in history.",
        	BURNING = "History is cleared.",
        },
        TREE_PILLAR = "I wonder what's on it.",
        PIGHOUSE_CITY = 
        {
        	GENERIC = "I wish I had a decent house, too.",
        	BURNING = "Something has gone terribly wrong!",
		},
        PIGHOUSE_FARM = 
        {
        	GENERIC = "Not very decent.",
        	BURNING = "There must be too much grass in it!",
		},
		PIGHOUSE_MINE = 
        {
        	GENERIC = "This is some ordinary house.",
        	BURNING = "Bricks are useless too?",
		},
        PIG_GUARD_TOWER = 
        {
        	GENERIC = "Guard lives there.",   
        	BURNING = "Do you know this won't happen?",
		},     
        CITY_LAMP = 
        {
        	GENERIC = "A street lamp with resplendent lights!",
        	ON = "It's not time to turn on the lights now.", --off
    	},
        DUNGBEETLE = 
        {
        	GENERIC = "Gloves need to be prepared!",
        	UNDUNGED = "Looking at normality much more.",
        	SLEEPING = "No one wanted to get close to it.",
        	DEAD = "Natural, right, Maxy?",
        },
        DUNGBALL = "Full of what I don't want to know...",
        DUNGPILE = 
		{
			GENERIC = "See some...",
			PICKED = "Not so much?",
		},
        PIGEON = 
        {
        	GENERIC = "I hope I don't get infected!",
        	SLEEPING = "Stay away!",
        	DEAD = "I hope I don't get infected if it is dead!",
        },
        SPIDER_MONKEY = 
        {
        	GENERIC = "Maxy what do you do!?",
        	SLEEPING = "Sh! Don't wake that thing up!",
        	DEAD = "I feel much better now.",
        },

        SPIDER_MONKEY_TREE = "Covered by mist...",
        SPIDER_MONKEY_NEST = "They're building sticky nests!",
        TOPIARY = "It seems all right.",
        LAWNORNAMENT = 
        {
        	GENERIC = "The landscape trees here are unique!",
        	BURNING = "Really need a fireman!",
        	BURNT = "The fire destroyed everything...",
        },
        HEDGE = 
        {
        	GENERIC = "Is that a labyrinth wall?",
        	SHAVEABLE = "Oh, it is messy and needs to be cleaned up.",
        	BURNING = "All plants are like this!",
        	BURNT = "It's burnt!",
        },
        RAINFORESTTREE = 
        {
        	GENERIC = "Pink leaves are really my favourite's!",
        	CHOPPED = "Oh no, that's all it left!",
        	BURNING = "Must put out the fire! Quickly!",
        	BURNT = "What a pity!",
        },
        RAINFORESTTREE_ROT = "Feel pity for its leaves!",
        
        FLOWER_RAINFOREST = "A flower from the exotic tropical jungle, my heart is conquered by it!",
        HALBERD = "Now I have a useful weapon from the guard.",
        CHICKEN = 
        {
        	GENERIC = "Chicken! Look different...",
        	SLEEPING = "Chicken! Look different...",
        	DEAD = "Chicken! Look different...",
        },
        RUIN_GIANT_HEAD = "A way to get ahead.",
        RUINS_ARTICHOKE = "Whatever it is, I can take a risk. Just possible.",
        PIG_RUINS_ENTRANCE = 
        {
        	GENERIC = "The statue above is a pig, there may be archaeological discoveries.",
        	LOCKED = "Something seems to be deliberately blocking me.",
        },
        PIG_RUINS_EXIT = "I guess it leads to... Well, I can't imagine.",
        PIG_COIN = "Money.",
        GRASS_TALL = 
        {
        	GENERIC = "Even higher than the grass I see in other worlds!",
        	PICKED = "It will grow out in a while... I guess.",
        	BURNING = "The flame devoured everything. Will it destroy me too?",
        },
        GLOWFLY = 
        {
        	GENERIC = "It's a glowing creature. I hope it is around all the time.",
        	SLEEPING = "It also glows when sleeping?",
        	DEAD = "Oh no!",
        },
        GLOWFLY_COCOON = "I suggest destroying it mercifully.",
        CHITIN = "It used to be a defense from an insect.",
        HANGING_VINE = "A vine from the canopy. Unfortunately it doesn't produce grapes.",
        GRABBING_VINE = "A vine from the canopy. Unfortunately it doesn't produce grapes.",
        VENUS_STALK = "Something sticky and green. Do I really have to take this?",
        WALKINGSTICK = "Does the stick add speed?",
        ADULT_FLYTRAP = 
        {
        	GENERIC = "A horrible flytrap!",
        	SLEEPING = "A huge flower?",
        	DEAD = "Oh! Although I won't feel sorry for you.",
        },
        MEAN_FLYTRAP = 
        {
        	GENERIC = "That's... I was taken in!",
        	SLEEPING = "A huge flower?",
        	DEAD = "I will be sad to see the flowers wither, except this...",
        },
        SNAPDRAGON = 
        {
        	GENERIC = "You're not a real dragon!",
        	SLEEPING = "Taste of flowers.",
        	DEAD = "The danger has been eliminated.",
        },
        LILYPAD = "Seems to be able to bear a lot.",

        ZEB = 
        {
        	GENERIC = "There should be no zebras.",
        	SLEEPING = "I don't know where it came from.",
        	DEAD = "Well, it's gone.",
        },
        SCORPION = 
        {
        	GENERIC = "It came to me with venom!",
        	SLEEPING = "Shh! If anything wakes it up, I'll be miserable!",
        	DEAD = "Its life is fragile.",
        },

        PEAGAWK = 
        {
        	GENERIC = "That's something I haven't seen.", 
        	SLEEPING = "So many eyes! Ew!",
        	DEAD = "It's dead.",
        },
        PEEKHEN = 
        {
        	GENERIC = "Look strange.", 
        	SLEEPING = "So many eyes! Ew!",
        	DEAD = "It's dead.",
        }, 
        PEAGAWKFEATHERHAT = "Cheat those beasts?",
        PEAGAWK_BUSH = "Cut no ice.",
        PEAGAWKFEATHER = "Feather with many eyes.",
        PEAGAWKFEATHER_PRISM = "That doesn't mean I can accept it.",
        ANTMAN = 
        {
        	GENERIC = "There are a lot of odd insects!",
        	SLEEPING = "A sleeping bug.",
        	DEAD = "I don't care.",
        },
        ANTHILL = "A secret I don't want to go in!",
        ANTMASKHAT = "Is it necessary to be so disgusting?",
        ANTSUIT = "I have to find a better substitute...",
        ANTMAN_WARRIOR = "It's protecting its queen who doesn't look like a queen.",
 		ANTCHEST = "Now that I'm here, can I have something to relax?",
 		NECTAR_POD = "Can I cultivate them into real flowers?",
        
        PHEROMONESTONE = "So I can understand what those disgusting insects say. But why bother?",
        PIKO = 
        {
        	GENERIC = "Its eyes yearn for my things.",
        	SLEEPING = "Now I can fix it earnestly.",
        	DEAD = "Oh! Unfortunately!",
        },
        
        RELIC_1 = {
        	GENERIC = "I can trade this idol!",
        	SUNKEN = "I need a tool.",
        },
        RELIC_2 = {
        	GENERIC = "I find a valuable truffle!",
        	SUNKEN = "I have to find a way.",
        },
        RELIC_3 = {
         	GENERIC = "Pig nose? Must be valuable.",
         	SUNKEN = "How do I get it?",
        },
        RELIC_4 = {
        	GENERIC = "Most valuable! Belongs to the royal family.",
        	SUNKEN = "How to get it?",
        },
        RELIC_5 = {
         	GENERIC = "Odd... But belongs to the royal family.",
         	SUNKEN = "Fishing out.",
        },

        REEDS_WATER = "The wind and water's own instrument.",
        LOTUS = "An inspiring and beautiful aquatic plant!", 

		LOTUS_FLOWER = "A lovely flower, it inspires my heart.",
        LOTUS_FLOWER_COOKED = "This lotus root has magical inspiring power.",

        VAMPIREBAT = 
        {
        	GENERIC = "Keep away from my skin!",
        	SLEEPING = "Run!",
        	DEAD = "Much safer...",
        },
        VAMPIREBATCAVE = "Ew, smelly!",  

        FROGLEGS_POISON = "It looks... noxious.",
        FROGLEGS_POISON_COOKED = "Is it still noxious?",
		FROG_POISON =
		{
        	GENERIC = "This kind looks different.",
        	SLEEPING = "Sh!",
        	DEAD = "Good riddance.",
        },

        PIG_RUINS_TORCH_WALL = "The light is enough for me!",
        PIG_RUINS_TORCH = "More light means more hope!",
        PIG_RUINS_HEAD = "It has only one head left...",
        PIG_RUINS_ARTICHOKE = "Is this... an artichoke?",

        OINC = "Seems to be an indispensable round truffle currency in Hamlet.",
        OINC10 = "Maybe silver square money is more valuable?",
        OINC100 = "Sure it's a polygonal currency made of emerald.",

        RABID_BEETLE = 
		{
        	GENERIC = "A creature whose appearance and heart are seriously different.",
        	SLEEPING = "Run! Quickly!",
        	DEAD = "Not angry any more.",
        },

        PARROT_BLUE = 
		{
        	GENERIC = "A cute bird!",
        	SLEEPING = "Time for a break.",
        	DEAD = "That's terrible!",
        },
        KINGFISHER = 
		{
        	GENERIC = "Your mouth...",
        	SLEEPING = "It is sleeping...",
        	DEAD = "My fault...",
        },

        BURR = "A fluffy, light ball.",   
        BURR_SAPLING = 
        {
			BURNING = "See if there is water to extinguish it!",
			WITHERED = "Does it need watering?",
			GENERIC = "Grow up, little rainforest tree!",
			PICKED = "How could it be like this?",
		},        	

        PIG_LATIN_1 = "As a magician's assistant, it's hard for me to understand what this means...", -- light fires in pig latin

		DECO_RUINS_BEAM_ROOM = "A prop, it's always useful.",
		DECO_CAVE_BEAM_ROOM = "It's holding up the roof.",
        DECO_CAVE_BAT_BURROW = "Ew! It is semlly!",
        DECO_RUINS_BEAM_ROOM_BLUE = "It's very old.",        		

        SMASHINGPOT = "A pot, you never know what's inside.",

        HIPPOPOTAMOOSE = "Seems friendly.",
		PIGGHOST = "I did nothing for you!",        

        ANTCOMBHOME = "Finally, there is a real meaning.",        
        SECURITYCONTRACT = "Even if I am not a star, I need to protect myself.",
        
        PLAYERHOUSE_CITY = {
        	BURNT = "I'm going back to darkness again!",
        	FORSALE = "Still on sale. Maybe I can take the opportunity to buy it.",
        	SOLD = "As long as I can stay away from darkness..."
        },

        JELLYBUG = "It still jumps! Is alive?",
        JELLYBUG_COOKED = "Isn't it jumping now?",
        SLUGBUG = "Ew! It is gummy!",
        SLUGBUG_COOKED = "Ew! It is still gummy even being cooked!",

        PLAYER_HOUSE_COTTAGE_CRAFT = "Don't need workers to do it for me?",
        PLAYER_HOUSE_VILLA_CRAFT = "This style makes to feel comfortable.",           
		PLAYER_HOUSE_TUDOR_CRAFT = "Still have to be careful with its tip.",
        PLAYER_HOUSE_GOTHIC_CRAFT = "Kind of dark.",           
		PLAYER_HOUSE_TURRET_CRAFT = "Will it be a castle?",
        PLAYER_HOUSE_BRICK_CRAFT = "A little simple, but greater improvement.",
		PLAYER_HOUSE_MANOR_CRAFT = "Cursed manor, ha?",        

        CLIPPINGS = "I can try to find the use of the leftover under the hedge.",

        CUTNETTLE = "For curing cold, though it is little unpalatable.",

        NETTLE =
        {
        	WITHERED = "Everyone has their own preferences... You can't stop it.",
        	MOIST = "It likes raining. This is its preference.",
        	EMPTY = "Grow back, medicinal plant!",
        	DEFAULT = "It can now be used for curing cold.",
        },

        DECO_RUINS_FOUNTAIN = "Throw coins for it?", -- this is a "wishing well". You throw coins in it and it might randomly heal you. 
        PUGALISK = "Please don't stare at me, Mr. snake! I'll return your things right away!",        
        SNAKE_BONE = "The bones left by Mr. basilisk.", 
        SNAKEBONESOUP = "A bowl of snake soup, good for healthy soul!", 

        BANDITMAP = "A map to explore treasure! If there's no accident...", 
        BANDITTREASURE = "Thief's treasure, I hope it's not a trap...", 

        BLUNDERBUSS = "Well, this will seemingly come in handy. If I can use it...", 

        PUGALISK_FOUNTAIN = "Pretty spring water! I feel young!", 
        PUGALISK_RUINS_PILLAR = "Pillar. It doesn't seem to work.", 
        PUGALISK_TRAP_DOOR = "It uses black magic to summon ominous things...",  

        TEA = "Hospitality tea comes first.",      
        TEATREE = "A tree for curing?",    
        TEATREE_SAPLING = "Grow up, little tree!",    
        TEATREE_NUT = "For curing or bait?",    

        WALL_PIG_RUINS = "Is this the wall left by the ancients?", 

        PIG_RUINS_DART_TRAP = "Who prepared those darts?", 
        PIG_RUINS_SPEAR_TRAP = "Charlie, you have to pay attention to this...", 
        PIG_RUINS_SPEAR_TRAP_TRIGGERED = "I've noticed it.", 
        PIG_RUINS_SPEAR_TRAP_BROKEN = "It was broken?", 
        PIG_RUINS_PRESSURE_PLATE = "I wonder what happens.",
        PIG_RUINS_DART_STATUE = "I can smash it.",                                           
        
        DISARMING_KIT = "I've prepared a lot to remove the traps in the ruins.", 

        BALLPEIN_HAMMER = "Gently, but still can destroy.",

        GOLD_DUST = "Is there only dust?",

        ALOE = "Does it have any stings now?", 
        ALOE_COOKED = "I believe its stings have evaporated.", 
        ALOE_PLANTED = "I need to be very careful to pick it up!",

        ASPARAGUS = "Vegetables again... but I could cook some delicious soup with this.", 
        ASPARAGUS_COOKED = "It is cooked now. Eating it works, too.", 
        ASPARAGUS_PLANTED = "Vegetables again... but I can pick it up.", 

        RADISH = "Any food will do.", 
        RADISH_COOKED = "I can see the structure inside.",
        RADISH_PLANTED = "Its structure is very similar to carrot's...", 

        SNAKE_AMPHIBIOUS = "You are not the animal I like...", 
        
        GASMASKHAT = "It's a little uncomfortable...",
        PITHHAT = "Keep my hair dry. Stay away from the influence of dense fog.", 
        
        BILL = 
        {
        	GENERIC = "I don't want to get close to its quills! It'll pierce my clothes!",
        	SLEEPING = "The annoying finally stopped.",
        	DEAD = "But its quills remain.",
        },
        
        ROCK_ANTCAVE = "I hope there's no smell of those insects left...",
        ANT_CAVE_LANTERN = "So different light...",
        PROP_DOOR = "Pillars are necessary, but there is no other use.",

        PIKO_ORANGE = "A lovely creature with orange fur!",

        TURF_PIGRUINS = "It's a chunk of ancient stone ground.",
        TURF_RAINFOREST = "It's a chunk of ground of rainforest. Green leaves cover it.",
        TURF_DEEPRAINFOREST = "It's a chunk of ground of dense rainforest. This soil looks good for my flowers!",
        TURF_LAWN = "It's a chunk of ground of square lawn.",
        TURF_GASJUNGLE = "It's a chunk of toxic ground. I might as well burn it directly...",
        TURF_MOSS = "It's a chunk of ground of moss. Suitable for moss or lichen?",
        TURF_FIELDS = "It's a chunk of ground of fields. Crops grow here.",
        TURF_FOUNDATION = "It's a chunk of ground of foundation, maybe?",
        TURF_COBBLEROAD = "It's a chunk of ground of cobble road. Feeling of stepping.",

        MANDRAKEMAN = "Please stops your annoying voice!",
        MANDRAKEHOUSE = "The taste of vegetables...",

         -- HOME DECO ITEMS
        INTERIOR_FLOOR_MARBLE = "It's the floor of marble.",
        INTERIOR_FLOOR_CHECK = "It's the floor of check.",
        INTERIOR_FLOOR_PLAID_TILE = "It's the floor of plaid tile.",
        INTERIOR_FLOOR_SHEET_METAL = "It's the floor of sheet metal.",
        INTERIOR_FLOOR_WOOD = "It's the floor of wood.",
        INTERIOR_FLOOR_GARDENSTONE = "It's the floor of garden stone.",        
        INTERIOR_FLOOR_GEOMETRICTILES = "It's the floor of geometric tiles.",
        INTERIOR_FLOOR_SHAG_CARPET = "It's the floor of shag carpet.",
        INTERIOR_FLOOR_TRANSITIONAL = "It's the floor of transitional.",
        INTERIOR_FLOOR_WOODPANELS = "It's the floor of wood panels.",
        INTERIOR_FLOOR_HERRINGBONE = "It's the floor of herring bone.",
        INTERIOR_FLOOR_HEXAGON = "It's the floor of hexagon.",
        INTERIOR_FLOOR_HOOF_CURVY = "It's the floor of hoof curvy.",
        INTERIOR_FLOOR_OCTAGON = "It's the floor of octagon.",

        INTERIOR_WALL_WOOD = "It's the wall of wood.",
        INTERIOR_WALL_CHECKERED = "It's the wall of checkered.",
        INTERIOR_WALL_FLORAL = "It's the wall of floral.",
        INTERIOR_WALL_SUNFLOWER = "It's the wall of sunflower.",
        INTERIOR_WALL_HARLEQUIN = "It's the wall of harlequin.",
        INTERIOR_WALL_PEAGAWK = "It's the wall of peagawk.",
        INTERIOR_WALL_PLAIN_DS = "It's a wall of plain.",
        INTERIOR_WALL_PLAIN_ROG = "It's a wall of plain.",
        INTERIOR_WALL_ROPE = "It's the wall of rope.",
        INTERIOR_WALL_CIRCLES = "It's the wall of circles.",
        INTERIOR_WALL_MARBLE = "It's the wall of marble.",
        INTERIOR_WALL_MAYORSOFFICE = "It's a wall of mayorsoffice.",
        INTERIOR_WALL_FULLWALL_MOULDING = "It's the wall of moulding.",
        INTERIOR_WALL_UPHOLSTERED = "It's the wall of upholstered.",   

        DECO_CHAIR_CLASSIC = "The flower pattern is very good!",
        DECO_CHAIR_CORNER = "I can have a rest.",
        DECO_CHAIR_BENCH = "Enough for two people. Sadly Maxy is not here...",
        DECO_CHAIR_HORNED = "Perfect chair.",
        DECO_CHAIR_FOOTREST = "It's comfortable for my feet.",
        DECO_CHAIR_LOUNGE = "Soft!",
        DECO_CHAIR_MASSAGER = "This is rubbish.",
        DECO_CHAIR_STUFFED = "The cotton inside works.",
        DECO_CHAIR_ROCKING = "Who can refuse a rocking chair.",
        DECO_CHAIR_OTTOMAN = "Don't collapse!",

        DECO_LAMP_FRINGE = "Fringe Lamp Light! Keeps Them away!",
        DECO_LAMP_STAINGLASS = "Stainglass Lamp Light! Keeps Them away!",
        DECO_LAMP_DOWNBRIDGE = "Downbridge Lamp Light! Keeps Them away!",
        DECO_LAMP_2EMBROIDERED = "Dual Embroidered Lamp Light! Keeps Them away!",
        DECO_LAMP_CERAMIC = "Ceramic Lamp Light! Keeps Them away!",
        DECO_LAMP_GLASS = "Glass Lamp Light! Keeps Them away!",
        DECO_LAMP_2FRINGES = "Dual Fringes Lamp Light! Keeps Them away!",
        DECO_LAMP_CANDELABRA = "Candelabra Lamp Light! Keeps Them away!",
        DECO_LAMP_ELIZABETHAN = "Elizabethan Lamp Light! Keeps Them away!",
        DECO_LAMP_GOTHIC = "Gothic Lamp Light! Keeps Them away!",
        DECO_LAMP_ORB = "Orb Lamp Light! Keeps Them away!",
        DECO_LAMP_BELLSHADE = "Bellshade Lamp Light! Keeps Them away!",
        DECO_LAMP_CRYSTALS = "Crystals Lamp Light! Keeps Them away!",
        DECO_LAMP_UPTURN = "Upturn Lamp Light! Keeps Them away!",
        DECO_LAMP_2UPTURNS = "Dual Upturn Lamp Light! Keeps Them away!",
        DECO_LAMP_SPOOL = "Spool Lamp Light! Keeps Them away!",
        DECO_LAMP_EDISON = "Edison Lamp Light! Keeps Them away!",
        DECO_LAMP_ADJUSTABLE = "Adjustable Lamp Light! Keeps Them away!",
        DECO_LAMP_RIGHTANGLES = "Right Angle Lamp Light! Keeps Them away!",
        DECO_LAMP_HOOFSPA = "Fancy Lamp Light! Keeps Them away!",

        DECO_CHAISE = "If someone gives me a massage!",

        DECO_PLANTHOLDER_BASIC = "Though not a flower.",
        DECO_PLANTHOLDER_WIP = "Seems no flowering.",
        DECO_PLANTHOLDER_FANCY = "Very nice decoration!",
        DECO_PLANTHOLDER_BONSAI = "Pink flower!",
        DECO_PLANTHOLDER_DISHGARDEN = "After taking precious care of.",
        DECO_PLANTHOLDER_PHILODENDRON = "Leafy.",
        DECO_PLANTHOLDER_ORCHID = "Good day, little flower!",
        DECO_PLANTHOLDER_DRACEANA = "Some things in my garden.",
        DECO_PLANTHOLDER_XEROGRAPHICA = "Hanging flowers!",
        DECO_PLANTHOLDER_BIRDCAGE = "No birds to come.",
        DECO_PLANTHOLDER_PALM = "Growing well.",
        DECO_PLANTHOLDER_ZZ = "I don't know what it is.",
        DECO_PLANTHOLDER_FERNSTAND = "Another plant holder.",
        DECO_PLANTHOLDER_FERN = "Hanging growth.",
        DECO_PLANTHOLDER_TERRARIUM = "A plant in the greenhouse.",
        DECO_PLANTHOLDER_PLANTPET = "Regards this as a pet.",
        DECO_PLANTHOLDER_TRAPS = "Keeps me away from flies.",
        DECO_PLANTHOLDER_PITCHERS = "Can solve some annoying things.",
        DECO_PLANTHOLDER_MARBLE = "Luxurious.",

        DECO_PLANTHOLDER_WINTERFEASTTREEOFSADNESS = "Never give up! Little plant!",  
        DECO_PLANTHOLDER_WINTERFEASTTREE = "Maybe I can invite someone to my festival party!",

        DECO_TABLE_ROUND = "No corner, no damage.",
        DECO_TABLE_BANKER = "Guess it's multifunctional.",
        DECO_TABLE_DIY = "Made by myself.",
        DECO_TABLE_RAW = "Not finished...",
        DECO_TABLE_CRATE = "Two functions!",
        DECO_TABLE_CHESS = "It's not enough for me alone...",

        DECO_ANTIQUITIES_WALLFISH = "A decorative fish.",        
        DECO_ANTIQUITIES_BEEFALO = "Eh, so big!",
        DECO_WALLORNAMENT_PHOTO = "Who is that?",
        DECO_WALLORNAMENT_FULLLENGTH_MIRROR = "I can see my own face.",
        DECO_WALLORNAMENT_EMBROIDERY_HOOP = "Not bad.",
        DECO_WALLORNAMENT_MOSAIC = "Not bad.",
        DECO_WALLORNAMENT_WREATH = "Pretty enough!",
        DECO_WALLORNAMENT_AXE = "Just hang there.",
        DECO_WALLORNAMENT_HUNT = "Hunting with humanity.",
        DECO_WALLORNAMENT_PERIODIC_TABLE = "I have no too much knowledge about this.",
        DECO_WALLORNAMENT_GEARS_ART = "Actually it doesn't seem to be usable.",
        DECO_WALLORNAMENT_CAPE = "Get ready before the festival.",
        DECO_WALLORNAMENT_NO_SMOKING = "I never smoke!",
        DECO_WALLORNAMENT_BLACK_CAT = "Black cat, at least not shadow cat.",

        WINDOW_ROUND_CURTAINS_NAILS = "I hope those shadows will not enter my house through this...",
        WINDOW_ROUND_BURLAP = "Very meticulously sewn!",
        WINDOW_SMALL_PEAKED = "That light is enough.",
        WINDOW_LARGE_SQUARE = "Breathe fresh air through the window!",
        WINDOW_TALL = "I can reach it.",
        WINDOW_LARGE_SQUARE_CURTAIN = "This one is very popular with me!",
        WINDOW_TALL_CURTAIN = "Not bad!",
        WINDOW_SMALL_PEAKED_CURTAIN = "Can put some rose petals properly.",
        WINDOW_GREENHOUSE = "Now I can take care of more flowers!",
        WINDOW_ROUND = "There is nothing to say.",

        DECO_WOOD_CORNERBEAM = "So that the house will not collapse.",
        DECO_MARBLE_CORNERBEAM = "This is more effective and better-looking.",
        DECO_WOOD       = "So that the house will not collapse.",
        DECO_MILLINERY  = "Adding light is so good!",
        DECO_ROUND      = "Adding light is so good!",
        DECO_MARBLE     = "This is more effective and better-looking.",

        SWINGING_LIGHT_BASIC_BULB = "Wired Light! Keep Them away!",
        SWINGING_LIGHT_FLORAL_BLOOMER = "Pretty Light! Keep Them away!",
        SWINGING_LIGHT_CHANDALIER_CANDLES = "Chandelier Light! Keep Them away!",
        SWINGING_LIGHT_ROPE_1 = "Rope Light! Keep Them away!",
        SWINGING_LIGHT_ROPE_2 = "Double Light! Keep Them away!",
        SWINGING_LIGHT_FLORAL_BULB = "Pretty light! Keep Them away!",
        SWINGING_LIGHT_PENDANT_CHERRIES = "Cherry Light! Keep Them away!",
        SWINGING_LIGHT_FLORAL_SCALLOP = "Pretty light! Keep Them away!",
        SWINGING_LIGHT_FLORAL_BLOOMER = "Pretty light! Keep Them away!",
        SWINGING_LIGHT_BASIC_METAL = "Basic Light! Keep Them away!",
        SWINGING_LIGHT_TOPHAT = "Tophat Light! Keep Them away!",
        SWINGING_LIGHT_DERBY = "Derby Light! Keep Them away!",
        SWINGING_LIGHT1 = "Light! Keep Them away!",

        RUG_ROUND = "When you stare at it...",
        RUG_SQUARE = "Perfect square.",
        RUG_OVAL = "Look at this lovely thing!",
        RUG_RECTANGLE = "It can also be used as a table mat, right?",
        RUG_FUR = "Making this winter cold no more.",
        RUG_HEDGEHOG = "Is that fur genuine?",
        RUG_PORCUPUSS = "I guess it's a platypus.",
        RUG_HOOFPRINT = "Extravagant enough.",
        RUG_OCTAGON = "All the rugs are the same.",
        RUG_SWIRL = "Dizzy...",
        RUG_CATCOON = "Just an ornament?",
        RUG_RUBBERMAT = "I don't understand its meaning.",
        RUG_WEB = "No spiders nearby.",
        RUG_METAL = "Terrible.",
        RUG_WORMHOLE = "It won't work.",
        RUG_BRAID = "Better than before.",
        RUG_BEARD = "The beard left by a man?",
        RUG_NAILBED = "The worst I've ever seen.",
        RUG_CRIME = "Who?",
        RUG_TILES = "Treadable.",

        SHELVES_WOOD = "A place to put stuff. It is made of wood.",
        SHELVES_CINDERBLOCKS = "A place to put stuff. It is cinder blocks.",
        SHELVES_MARBLE = "A place to put stuff. It is made of marble.",
        SHELVES_MIDCENTURY = "A place to put stuff. It is from Middle Ages.",
        SHELVES_GLASS = "A place to put stuff. It is made of glass.",
        SHELVES_LADDER = "A place to put stuff. It has a ladder.",
        SHELVES_HUTCH = "A place to put stuff. It is a hutch.",
        SHELVES_INDUSTRIAL = "A place to put stuff. It is industrial.",
        SHELVES_ADJUSTABLE = "A place to put stuff. It is adjustable.",
        SHELVES_WALLMOUNT = "A place to put stuff. It is wall mounted.",
        SHELVES_AFRAME = "A place to put stuff. It is aframe.",
        SHELVES_CRATES = "A place to put stuff. It is a crate.",
        SHELVES_FRIDGE = "Dose it work?",
        SHELVES_HOOKS = "A place to hang stuff.",
        SHELVES_PIPE = "A place to hang stuff. It is made of pipe.",
        SHELVES_HATTREE = "A place to hang your hat.",
        SHELVES_PALLET = "A place to put stuff. It is a pallet.",
        SHELVES_BASIC = "A place to put stuff. It is basic.",
        SHELVES_FLOATING = "A place to put stuff. It is floating.",
        SHELVES_METAL = "A metal place to put stuff. It is made of metal.",

        WOOD_DOOR = "The most basic, but practical.",
		STONE_DOOR = "Don't need to worry about being destroyed.",
		ORGANIC_DOOR = "Would be better to put roses on it.",
		IRON_DOOR = "Looks like it leads to garden.",
		PILLAR_DOOR = "To another luxury room.",
		CURTAIN_DOOR = "Curtain means bedroom.",
		ROUND_DOOR = "Wide enough.",
		PLATE_DOOR = "Let me recall some past events...",

        ROCK_FLIPPABLE = "What can I find?",

        PLAYER_HOUSE_COTTAGE = "Upgrade the appearance of my house.",
        PLAYER_HOUSE_VILLA = "A villa is enough for me to live in.",  
        PLAYER_HOUSE_TUDOR = "The architectural style I've never seen.",
        PLAYER_HOUSE_MANOR = "Make my manor full of roses.",              
        PLAYER_HOUSE_GOTHIC = "Make do with it first.", 
        PLAYER_HOUSE_BRICK = "I can accept any kind of house as long as it keeps me away from the dark.", 
        PLAYER_HOUSE_TURRET = "It's more like a castle.",
        
        BRAMBLESPIKE = "Bramble, like the rose, is covered with thorns.",

		SUNKEN_RELIC = "Find a way...",  

        IRON = "There are abundant resources here.",
        
        CLAWPALMTREE = "Looks like blue palm... But it doesn't produce coconuts...",  
        DUG_NETTLE = "These things are very important for my survival here, I have to transplant them as soon as possible.", 

        THUNDERBIRD = "You don't have to do this to me...", 
        THUNDERBIRDNEST = "The den of lightning.",

        FEATHER_THUNDER = "What are the benefits of the charged feathers?", 
        THUNDERHAT = "It looks easy to be struck by thunder.",

        WEEVOLE = "To be inured to the unusual, there are a lot of insects here, but I still get sick of them.",
        WEEVOLE_CARAPACE = "Don't tell me it makes an uncomfortable sound.",
        ARMOR_WEEVOLE = "Eww! These things seem more suitable for burning as fuel!",
        
        TUBERTREE = "I smell... unusual but familiar smell.",
        CORK = "It is not so heavy, hoping to find its true home.",

        CANDLEHAT = "More light is nice.", 
        CORK_BAT = "I feel heavy inside myself...",

        LEATHER = "What are the benefits of leather...",
        BAT_HIDE = "Maxy did it? It's confusing...",

        ANCIENT_ROBOT_RIBS = "There is only one scrap iron ribs left.",
        ANCIENT_ROBOT_CLAW = "Its claws are emitting laser light!",
        ANCIENT_ROBOT_HEAD = "Mouth of the abyss.", 
        ANCIENT_ROBOT_LEG = "Where's the other one?",    

        TEATREE_NUT_COOKED = "It smells a little of medicine.",

        DEED = "Ah, there is also a real estate certificate here.",
        CONSTRUCTION_PERMIT = "Choose the suitable one, Charlie.",
        DEMOLITION_PERMIT = "If I want to check out.",
		
		CLAWPALMTREE_SAPLING = "Grow up fast, little claw guy!",

        CORKBOAT = "A boat made of light wood.",
        CORKCHEST = "For more anti-theft space.",

        BANDITHAT = "Do you know your mistake?",
        PIGBANDIT = "You'll be arrested.",

        PIG_RUINS_CREEPING_VINES = "If you're not a rose vine, please get out of the way!", 

        MAGNIFYING_GLASS = "A magical mirror, isn't it, Maxy?",

        SEDIMENTPUDDLE = "The rain collected it.",
        GOLDPAN = "Water collecting tray, ah!",

        PORKLAND_ENTRANCE = "It uses magic to take me to somewhere else.",
        PORKLAND_EXIT = "It uses magic to take me to another place.",

        POG = 
        {
        	GENERIC = "A lovey creature!",
        	FOLLOWER = "A lovey follwer!",
        	SLEEPING = "A lovey sleeping creature!",
        	APORKALYPSE = "Are you under the influence of Moon?",
        },

        PANGOLDEN = "It is covered in gold.",

        ROC_LEG = "Where did it come from!?",
        ROC_HEAD = "It has a very attractive structure!",
        ROC_TAIL = "Far more than my size!?",

        GNATMOUND = "Keep away from those!",
        GNAT = "No way, gnat!",
        
        PORKLAND_INTRO = "Will lead me to...",

        ROC_NEST_TREE1 = "Looks thirsty.",
        ROC_NEST_TREE2 = "The tree is not doing well.",
        ROC_NEST_BUSH = "Some slightly pink shrubs!",
        ROC_NEST_BRANCH1 = "What kind of help can this provide?",
        ROC_NEST_BRANCH2 = "Its branches may be useful.",
        ROC_NEST_TRUNK = "The wood become like this.",
        ROC_NEST_HOUSE = "A mini house. No one has been found.",
        ROC_NEST_RUSTY_LAMP = "It looks damaged and can't shine!",

        ROC_NEST_EGG1 = "Guess what's inside.",
        ROC_NEST_EGG2 = "It looks like the bird left it.",
        ROC_NEST_EGG3 = "Why is it empty?",
        ROC_NEST_EGG4 = "I have to break it forcibly.",

        ROC_ROBIN_EGG = "Is a stone? What can it bring me?",

        TUBER_CROP = "I refuse to eat it...",
        TUBER_BLOOM_CROP = "How pretty! But still not enough to trade my flower.",
        TUBER_CROP_COOKED = "It's bad even being cooked.",
        TUBER_BLOOM_CROP_COOKED = "It looks delicious.",

        ALLOY = "It saddles me.",

        ARMOR_METALPLATE = "My fear of darkness doesn't diminish because of this...",
        METALPLATEHAT = "It can protect the head well unless it is too heavy.",

        SMELTER = "Reminds me of someone who used to work in a factory...",

        BUGREPELLENT = "Is it harmful to me?",
        
        HOGUSPORKUSATOR = "A pig using magic. How wonderful!",

        GASCLOUD = "Oh! It posions!",

        SHEARS = "It's what a gardener needs. But I'm not a gardener...",
    	BATHAT = "Apparently made of bat.",
    	
    	WATERDROP = "I feel the magic.",

    	LIFEPLANT = "A flower that can do magic!",

    	TRINKET_GIFTSHOP_1 = "Queen gave me her own statue.",
    	TRINKET_GIFTSHOP_3 = "I've received a lot of business cards, most of which... are useless.",        

	    KEY_TO_CITY = "It is time for me to build a nice city!",

    	PEDESTAL_KEY = "Key is the key.",

    	ROYAL_GALLERY = "A gallery I've never seen before.",

    	APORKALYPSE_CLOCK = "It foreshadows an ominous Shadow Full Moon.",
    	ANCIENT_HERALD = "The power of the Shadow Full Moon is so powerful that one of the ancients can appear here!",

    	ASPARAGUSSOUP = "It is all vegetables... but quite healthy.",
    	SPICYVEGSTINGER = "Need a drink after a meal.",
    	FEIJOADA = "A cuisine we don't have here.",
    	HARDSHELL_TACOS = "Different from all the tacos I've seen.",
    	GUMMY_CAKE = "That's not even a real cake...",
    	STEAMEDHAMSANDWICH = "Let me enjoy the meal!",
		MEATED_NETTLE = "Meat rolls, but there's something pungent.",

    	ROC_NEST_DEBRIS1 = "The environment is not particularly good.",
    	ROC_NEST_DEBRIS2 = "If I could come earlier...",
    	ROC_NEST_DEBRIS3 = "It's irretrievable.",
    	ROC_NEST_DEBRIS4 = "Not even a scrub.",

    	ANTQUEEN = "You are not a real queen!",
    	ANTQUEEN_CHAMBERS = "The false queen's throne.",
    	ANTQUEEN_THRONE = "The false queen's throne.",
    	ANTMAN_WARRIOR_EGG = "Don't hatch!",
		
		PIG_SHOP_DELI =
        {
            GENERIC = "A nice-looking restaurant.",
            BURNING = "Burning restaurant!",
        },

        PIG_SHOP_CITYHALL =
        {
            GENERIC = "Political house.",
            BURNING = "Politics is burning.",
        },
        PIG_SHOP_CITYHALL_PLAYER = 
         {
            GENERIC = "Being this means taking more responsibility.",
            BURNING = "It is on fire!",
        },
        PIG_GUARD_TOWER_PALACE =
        {
            GENERIC = "Guard lives here.",   
            BURNING = "It's made of stone... impossible!",
        },

        PIG_RUINS_PIG = "Ruin is a treasure that Charlie want, too.",
        PIG_RUINS_IDOL = "That's not my idol...",
        PIG_RUINS_PLAQUE = "An unknown truffle badge.",

        BASEFAN = "Brings a cool wind, blows away worry and disease.",
        SPRINKLER = "Water the plants, don't get wet!",

        NETTLELOSANGE = "For curing I have to eat!",

        ICEDTEA = "A good cup of tea is a hundred times more energetic.",

        TRINKET_GIFTSHOP_4 = "A toy? Nope.",

        WALLCRACK_RUINS = "A secret I don't want to solve.",

        DEFLATED_BALLOON = "I am still alive...",
		DEFLATED_BALLOON_BASKET = "This time, I have to be careful...",

		DISGUISEHAT = "Obviously, I didn't make it and it doesn't match me.",

		ALOE_SEEDS = "These seeds are good for health.",
		ASPARAGUS_SEEDS = "It smells of vegetables.",
		RADISH_SEEDS = "Carrot seeds?",

		CAVE_EXIT_ROC = "Smelly and dark, it's where I don't want to go.",

        PORKLAND_INTRO_BASKET = "What do I need these baskets for...",
        PORKLAND_INTRO_BALLOON = "That lightning didn't kill me...",
        PORKLAND_INTRO_TRUNK = "I don't think it is useful.",
        PORKLAND_INTRO_SUITCASE = "That's all that's left?",
        PORKLAND_INTRO_FLAGS = "I don't need to remember my nationality any more.",
        PORKLAND_INTRO_SANDBAG = "I swore it works...",

        TURF_BEARD_HAIR = "Who knows bread can make turfs too.", 

        HIPPO_ANTLER = "Poor thing, it only has horn left.",
        BILL_QUILL = "I hope it doesn't stick in my dress",

        ANTLER = "I can play beautiful sounds...",
		ANTLER_CORRUPTED = "Make a nightmarish sound of fear.",

        PUGALISK_SKULL = "A skull of Mr. Giantsnake.",
        PUGALISK_CORPSE = "After Mr. Snake died, he left these. he dug a grave for himself...",
        BONESTAFF = "Snake bone is gazing at me...",
        CITY_HAMMER = "Well, I'm not sure which buildings are illegal...",
        TURF_PAINTED = "It's painted ground. And the sand is colorful...", 
		TURF_PLAINS = "It's ground of plains. Full of the smell of green grass.", 

		PIG_SHOP_BANK = 
        {
          GENERIC = "A place to withdraw or deposit money?",
          BURNING = "It's burning!",
        },
 	    PIGMAN_USHER = 
        {
          GENERIC = "You have cavities...",
          SLEEPING = "I wish him a sweet dream.",
        },
        PIGMAN_ROYALGUARD_2 = 
        {
          GENERIC = "Hello, guard!",
          SLEEPING = "Royal guard fell asleep in front of me.",
        },
        PIG_SHOP_ANTIQUITIES = 
        {
          GENERIC = "An ancient shop?",
          BURNING = "Fire destroyed everything...",
        },

        PIG_RUINS_ENTRANCE2 = "The statue above is an artichoke?",
        PIG_RUINS_EXIT2 = "Connect with other...",
        PIG_RUINS_ENTRANCE3 = "The kingdom of ants?",   
        PIG_RUINS_ENTRANCE4 = "Via shadowy guidance...",           
        PIG_RUINS_EXIT4 = "I'm at the end now.",
        PIG_RUINS_ENTRANCE5 = "End by shadow...",           
        PIG_RUINS_ENTRANCE_SMALL = "I can explore, but it's too dark inside.",

        RO_BIN = "Hello, big bird! What should I call you?",
        RO_BIN_GIZZARD_STONE = "I am sure the stones with eyes do not exist.",
        GIANTGRUB = "The most disgusting thing I've ever seen!",
        MUSSEL_BED = "It's definitely not the best choice, for bed...",
        SEAWEED_STALK = "Every seaweed has its day.",
        HARPOON = "It reminds me of what it's like to get stuck in my throat with fishbone.",

		DECO_RUINS_ENDSWELL = "Something shadowy has polluted the water inside.",

        ---QOL Update ---
        SADDLE_BASIC = "Now, what's big enough to ride.",
        SADDLE_RACE = "I'm so sorry for the butterflies...",
        SADDLE_WAR = "I should stay on more comfortably.",
        SADDLEHORN = "Now its back can breathe.",
        SALTLICK = "It's... so salty!",
        BRUSH = "No harm in a little pampering.",

        BUNDLE = "Who knows what could be inside!",
        BUNDLEWRAP = "A nice neat package.",
        BEESWAX = "Let's hope these things like candles play a role.",
		WAXPAPER = "I need something to wrap.",
		
        FENCE = "Will it keep me safe?",
        FENCE_ITEM = "I should plan carefully before I put it down.",
        FENCE_GATE = "It'll keep me safe, I hope.",
        FENCE_GATE_ITEM = "I should plan carefully before I put it down.",

        MINISIGN =
        {
            GENERIC = "Well... I'm not much of an artist.",
            UNDRAWN = "Draw somthing first.",
        },
        MINISIGN_ITEM = "More useful in the ground.",
        FEATHERPENCIL = "Oh! What should I draw?",

        SPAT = "It's been around for a while, huh?",
        STEELWOOL = "Now I can really clean off the grime.",
        PHLEGM = "Eugh, why am I holding this?",

        ---------YOTP---------
        FIRECRACKERS = "It's full of festive atmosphere!",
        REDLANTERN = "Festive light! I feel warm and happy!",
        MINIBOATLANTERN = "Floating and dispelling the fear of the dark sea!",
		
        -------rewards update-------

		TURF_DEEPRAINFOREST_NOCANOPY = "This red leaf field will provide energy for many jungle plants, maybe...",

		BRAMBLE_CORE = "Pretty but spiny, like my favourite rose.",
        BRAMBLE_BULB = "It's so pretty! And more than one flower!",
        ROOTTRUNK_CHILD = "These roots will help, won't they?",

		PIG_SHOP_TINKER =
        {
            GENERIC = "Who would have thought the blueprint would be so useful?",
            BURNING = "The blueprint is burning!",
        },
        ARMORVORTEXCLOAK = "The shadow cloak, it may help me absorb the energy of Them.",    
        ANCIENT_REMNANT = "Parts of what the ancients left behind, it's full of energy of Them inside.",

        GOGGLESNORMALHAT = "I'm not short-sighted, thanks.",
        GOGGLESHEATHAT = "But what's the use for people with normal vision?",
        GOGGLESARMORHAT = "My eyes became heavy too...",
        GOGGLESSHOOTHAT = "It uses heat energy, and incomprehensible potato.",     
        THUMPER = "Ah, a very destructive but very effective tool...",
        TELEBRELLA = "An odd umbrella, uses for what?",
        TELIPAD = "A station, uses for what?",
        TRUSTY_SHOOTER = "Why can't I just throw?",
        WHEELER_TRACKER = "For finding something lost.",

        ANCIENT_HULK = "I shouldn't have helped it!",
        ROCK_BASALT = "I don't think either of us could lift that.",
        LIVING_ARTIFACT = "I hope it can give the power of the ancients.",
        INFUSED_IRON = "Parts of what the ancient robot left behind.",

        TELEPORTATO_HAMLET_POTATO = "Who would have thought it couldn't be eaten, Maxy?",
        TELEPORTATO_HAMLET_RING = "Suitable for giant's hands, Maxy, right?",
        TELEPORTATO_HAMLET_BOX = "A box that can't hold things, are you kidding me, Maxy?",
        TELEPORTATO_HAMLET_CRANK = "Give me a fulcrum, I can lever to move the earth!",
        TELEPORTATO_HAMLET_BASE = "Maxy created it privately...",

        ANCIENT_ROBOTS_ASSEMBLY = "Not finished.",

        HEDGE_BLOCK_ITEM = "I should place it rightly.",
        HEDGE_CONE_ITEM = "I should place it rightly.",
        HEDGE_LAYERED_ITEM = "I should place it rightly.",

		---- OTHER MODS ----
		RESKIN_TOOL = "And now, for my next trick...",
		SEWING_TAPE = "Oh! That's my sister's mending tape.",
        BETTERSTAFFLIGHT = "Some are born to be stars.",
        FENCE_FACTORY_ITEM = "I should plan carefully before I put it down.",
        FENCE_GINGERBREAD_ITEM = "I should plan carefully before I put it down.",
        FENCE_IRON_ITEM = "I should plan carefully before I put it down.",
        FENCE_BRASS_ITEM = "I should plan carefully before I put it down.",
        FENCE_BRONZE_ITEM = "I should plan carefully before I put it down.",		
        FENCE_FACTORY = "Will it keep me safe?",
	    FENCE_GINGERBREAD = "Will it keep me safe?",
	    FENCE_IRON = "Will it keep me safe?",
	    FENCE_BRASS = "Will it keep me safe?",
		FENCE_BRONZE = "Will it keep me safe?",
	    FENCE_GATE_GINGERBREAD_ITEM = "I should plan carefully before I put it down.",
	    FENCE_GATE_IRON_ITEM = "I should plan carefully before I put it down.",
	    FENCE_GATE_BRASS_ITEM = "I should plan carefully before I put it down.",
	    FENCE_GATE_BRONZE_ITEM = "I should plan carefully before I put it down.",			
	    FENCE_GATE_GINGERBREAD = "It'll keep me safe, I hope.",
	    FENCE_GATE_IRON = "It'll keep me safe, I hope.",	
	    FENCE_GATE_BRASS = "It'll keep me safe, I hope.",
	    FENCE_GATE_BRONZE = "It'll keep me safe, I hope.",
		
		-- Gourmet Extravaganza MOD --
        GE_GARLIC = "This'd make my breath smell bad.",
        GE_GARLIC_COOKED = "It'd still make my breath smell bad.",
        GE_GARLIC_SEEDS = "Ugh! Their smell is terrible!",      
        GE_ONION = "Oh, I hope I don't start crying.",
        GE_ONION_COOKED = "I guess it's safer now.",
        GE_ONION_SEEDS = "These seeds are too small.",      
        --[[GE_POTATO = "I should cook it before I eat it.",
        GE_POTATO_COOKED = "It looks much better now!",
        GE_POTATO_SEEDS = "Potato... seeds...?",]]  
        GE_TOMATO = "As red as my flower...",
        GE_TOMATO_COOKED = "As red as a wilted flower...",
        GE_TOMATO_SEEDS = "These seeds are weirdly shaped.",
        GE_PEPPER = "I'd burn my tongue with this.",
        GE_PEPPER_COOKED = "It's even hotter, now!",
        GE_PEPPER_SEEDS = "Even the seeds are hot!",
		
		-- Deep Jungle Fern MOD --
		DEEP_JUNGLE_FERN_NOISE_PLANT = "This would look nice potted.",

        -- Gourmet Expansion: Figs & Grapeberries MOD --
        FIGVINE = "Now, let Yggdrasil grow vines.",
		FIGVINE_ROT = "The sick vines from Yggdrasil.",
		FIG = "These figs come from practical vines.",
		FIG_COOKED = "Roasted figs, hum.",
		FIG_DRIED = "Adventurers like to do this way very much.",
		FIG_SPOILED = "It has completely expired now.",
		FERTILIZER_FIG = "Make the tree more fertile, or use it to repair the boat!",
		KOALEFIG_TRUNK = "Combine the trunk with the fig.",
		FIGATONI = "Sweet pasta, absolutely unexpected!",
		FIGKABAB = "The kebab will taste better with figs.",
		FIGNEWTON = "Poor frogs are forced to stay with figs.",
		FIGPUDDING = "Afternoon tea and dessert!",
		TENTACLE_ROOT = "Clearing its roots is not difficult!",
		BLACKFLY = "These flies need to be treated with flytraps!",
		GRAPE_BUSH = "These vines are becoming more and more useful.",
		GREENGRAPES = "Cyan grape acid.",
		GREENGRAPES_COOKED = "This is unnecessary, and the sour taste has not been removed.",
		PURPLEGRAPES = "These grapes can now be used to make good wine!",
		PURPLEGRAPES_COOKED = "Ah, can only eat it directly.",
        GRAPEJAM_GREEN = "Jam will be better with bread.",
		GRAPEJAM_PURPLE = "These jam tastes better.",
        GRAPEWINE = "Real wine! If I can enjoy it with Maxy...",
		GRAPETART = "Grape tart? I haven't eaten yet.",
		GRAPEPOP = "Burst!",
		GRAPESORBET = "Ice drinks are really popular in summer.",
        GRAPEJELLO = "Dessert after dinner.",
		HORNUCOPIA = "There are a little more uses for horn.",
		GRAPES_DRIED = "I can eat all day!",
		RAISINMUFFIN = "It looks exquisite! I want to taste it!",
		RAISINPINWHEEL = "Make the cake so well!",
		SKELETON_MATHEM = "Ah, poor man.",
		SKELETON_DOMYSLNY = "Ah, poor man.",
		
		-- Custom Farming MOD --
		CA_TILL_INVALID_GROUND = "Oh, this ground is hard to grow plants.",
		CA_HOE = "I need a tool for farming, that's it!",
		CA_LUX_HOE = "Let me farm splendidly!",
		CA_TURF_QUAGMIRE_SOIL = "Very favorable land.",
		CA_TOMATO_SEEDS = "These seeds are weirdly shaped.",
		CA_POTATO_SEEDS = "Potato... seeds...?",
		CA_TURNIP_SEEDS = "This is a seed I've never seen before.",
		CA_BLACK_CARROT_SEEDS = "Is there anything wrong with it?",
		CA_ONION_SEEDS = "These seeds are too small.",
		CA_GARLIC_SEEDS = "Ugh! Their smell is terrible!",
		CA_WHEAT_SEEDS = "Do you mean I need water?",
		CA_CROP_SMALL = "Grow up, little cute!",
		CA_CROP_FULL = "It is the harvest time!",
		CA_CROP_OVERRIPE = "Oh, I should have come earlier!",
		CA_TOMATO = "As red as my flower...",
		CA_POTATO = "I should cook it before I eat it.",
		CA_TURNIP = "Will my assistant be satisfied?",
		CA_BLACK_CARROT = "See if my assistant can eat it.",
		CA_ONION = "Oh, I hope I don't start crying.",
		CA_GARLIC = "This'd make my breath smell bad.",
		CA_WHEAT = "Very nutritious!",
		CA_TOMATO_COOKED = "As red as a wilted flower...",
		CA_POTATO_COOKED = "It looks much better now!",
		CA_TURNIP_COOKED = "Let's try it.",
		CA_BLACK_CARROT_COOKED = "It looks the absurdity of black.",
		CA_ONION_COOKED = "I guess it's safer now.",
		CA_GARLIC_COOKED = "It'd still make my breath smell bad.",
		CA_WHEAT_COOKED = "Make cereal and enjoy the afternoon!",
		CA_TOMATO_SOUP = "Go into boiling water and walk through fire and water!",
		CA_ONION_SOUP = "A change in name only.",
		CA_POTATO_SOUP = "Stir the soup to stop it from boiling.",
		CA_GARLIC_SOUP = "Like soup pouring ants.",
		CA_FRUIT_PIE = "3.14 is so yummy.",
		CA_FISH_PIE = "Added healthy fish meat!",
		CA_VEGGIE_PIE = "Vegetables do too.",
		CA_MEAT_PIE = "Real 3.14!",
		CA_BREAD = "I hope there's jam.",
		CA_PUMPKIN_SOUP = "I feel the coming of Halloween.",
		CA_SWEET_TURNIP = "Really worked hard.",
		CA_FRUIT_MUFFIN = "There's nothing better than that!",
		CA_DIRT_PILE = "So I can plant seeds within it now.",
		CA_DIRT_PILE_NF = "Just needs a push.",

        --------------
        TREENUT = "Do I need to bury it in the soil?",
		TREE_PILLAR_ARTIFICIAL = "Still a little dark around.",
		TUBER_POLLEN = "If it can grow into a flower, I am willing to try!",
		TUBER_POLLEN_COOKED = "It seems that I don't need to wait any longer.",

        POLLY_ROGERSHAT = "Hum, I didn't expect anyone to do this.",
		POLLY_ROGERS = "Will you help, De-Lovely?",
		
		SEWING_MANNEQUIN = 
		{
            GENERIC = "Now, it's time to start my next plan...",
            BURNT = "Can no longer be used for stage performance.",
		},		
		-------------
		
		--Charlie exclusive items and structures
		TORCH_SHADOW = "Ignite it through energy of Moon.",
		MAGICIAN_CHEST = "A perfect magic box!",
		SHADOW_ROSE_BOUQUET = "My beloved rose bouquet.",
		CHARLIE_PORTAL = "A platform that may attract adventurers.",
		ANTLIONHAT = "Magic sand is helping.",
		SHADOWCORROSIONMACHINE = "Can't we convert things back?",	
        ROSE_INV = "Has always been my favorite and also a thing of Love Day.",		

		CHARLIE_STAGE_POST = "Stage has been set up, time to perform!",
		CHARLIE_LECTURN = "Lines of performance can be found here.",

		MULTIFUNCTIONAL_TOOL = "All I need is one tool.",
		TOWNPORTAL = 
		{
		   	GENERIC = "It cannot be used without activation.",
			ACTIVE = "Great achievement!",
		},
		TOWNPORTAL_ITEM = "There is a close relationship between sand and orange gem.",
		CREDITCARD = "A must-have card for passing through a Hamlet shop.",
		BUG_ZAPPER = "Eliminate all pests on the plateau!",
		SAVE_RESETER = "I still have a chance... right?",
		SAVE_SAVER = "Record every detail here.",
		EYEOFINSIGHT = "Gain advanced knowledge while avoiding dark forces.",
		ARMORDREADSTONE = "Let despair give me defense.",
		DREADSTONEHAT = "Wearing despair that only provides defense.",
		ANCIENT_HANGING_LAMP =
		{
		   	GENERIC = "Chandelier from the Moon.",
			ONGROUND = "I don't know how it fell off.",		
		},
		ANCIENT_HANGING_LAMP_ITEM = "Don't look empty on top, it's actually the power of the Moon at work.",
		ANCIENT_FOUNTAIN_OF_KNOWLEDGE = 
		{
		   	GENERIC = "Filled with ancient know ledge.",
			PICKED = "After a while, know ledge will be produced from somewhere.",		
		},
		ANCIENT_FOUNTAIN_OF_KNOWLEDGE_ITEM = "Know ledge, I need more know ledge.",
		STATUEHARP_ROSE = 
		{
		   	GENERIC = "Shadow magic of the outer skin makes it grow roses.",
			PICKED = "I need to be patient and wait for my favorite rose.",		
		},
		STATUEMAXWELL_ROSE = 
		{
		   	GENERIC = "Sorry, your era is coming to an end.",
			PICKED = "You created this... the beginning of tragedy.",		
		},
		CHARLIE_THRONE = 
		{
		    GENERIC = "Where did this come from!? I don't think it's a good thing.",
			WHITE = "It has undergone some changes.",
			DESTROYABLE = "I don't know why I feel its call.",
		},
		CHARLIE_SHADOW_FLOWER = "It is a flower, but it emits an ominous aura!",
		HORRORFUEL = "It's purer, and also more evil.",
		CANE_FLOWER = "A beautiful cane, very suitable for me!",
		SUPERTELESTAFF = "Ah, more convenient to use.",
		PURENIGHTSWORD = "More pure and practical.",
		CHARLIE_SHADOW_RIFT = "Shadow is spreading, planar is connecting.",
		CHARLIE_NPC = "I have to help me in the future.",
		RAINBOWSWORD = "Rainbow is usually powerful!",
		ARMOR_SHADOW_VOID = "The power of broken void.",

        VOIDCLOTH = "A powerful and dangerous item used for repairing.",
        VOIDCLOTHHAT = "No one can recognize me.",
        ARMOR_VOIDCLOTH = "Made of ancient items.",
        VOIDCLOTH_SCYTHE = "Whispering reaper.",
		VOIDCLOTH_UMBRELLA = "It absorbs all the water dry.",
		
		SHADOW_RUINS_CROWN = "It utilizes the shadow power... to reach its limit... perhaps summoning Them...",
		SHADOW_HELMET = "There are many similar situations, with the use of shadow power.",
		
		CHARLIE_FOUNTAIN = 
		{
		    GENERIC = "The beautiful fountain nourishes the roses below!",
			DRY = "It will be full of vitality again.",
		},
		
		DREADSTONE = "Compared to normal rocks, it has more magical power.",
		
		CHARLIE_ANCIENT_GATEWAY = 
		{
		    GENERIC = "It appeared a bit early.",
			ACTIVATED = "Me in the future repaired this gate.",
		},
		
		ORANGESTAFF_SHADOW = "Discord staff, convenient and powerful.",
		STARSTAFF_SHADOW = "Use the dark fuel to release enormous heat.",
		VOIDCLOTH_KIT = "A very powerful repair item.",

		DREADSTONE_STACK = 
		{
		    GENERIC = "It was blocked by a terrifying rock.",
			FINISHED = "The rock will come back again.",
		},
		
		BUTTERCUP = "How does it relate to butter?",
		PVZ2_PLANTFOOD = "Bring fresh energy from decay!",
		PVZ_SUN = "Shining with light, taking care of the plants!",
	    BUTTER_MACHINE = "I don't how does it work, but it's very practical.",
	    BUTTER_MACHINE_ITEM = "Obviously, I need to fix it to the ground.",
		
		CHARLIE_SHADOWBOX = "Box box, please give me the truth!",
		CHARLIE_SHADOWHEART = "The eroded heart, do you feel pain?",
		FRIENDLY_SHADOW_FLOWER = "This flower is whispering to me.",
		SHADOW_PRISON = "Sorry, I have to do this.",
		SHADOW_SNEAK = "This is a way to fight against the Moon.",
	    FOUNTAIN_OBSIDIAN = "That's magma, has to be careful.",
	    FOUNTAIN_OBSIDIAN_ITEM = "A gift from the God of Volcano.",
		CHARLIE_EXP = "I can feel its powerful power, but I must interact with it through some medium.",
		SEEDPACKET = "Enhances various attributes of plants.",
		PUREBRILLIANCE = "Brilliant stones resist shadows.",
		SHADOW_ACID_BOTTLE = "The power full of shadows, just touching can cause tremendous power.",
		SHADOW_ACID_BOTTLE_ADVANCED = "Release super planar shadow ability.",

		LILYPAD_SEED = "Connect it to a puddle of water to offset the puddle's negative effect.",

		CHARLIE_SHOPPINGBAG_BLUE = "Something modern, what's wrong?",
		CHARLIE_SHOPPINGBAG_GREEN = "An environmentally friendly and convenient thing.",
		CHARLIE_SHOPPINGBAG_RED = "The red is too dark.",
		CHARLIE_CRITTER_DRAGON = "Dragon or Loong? Anyway, he craves gifts!",
		CHARLIE_DRAGON_FEATHER = "Gifts from blazing creatures.",
		CHARLIE_DRAGON_SWORD = "It does not act on dragons.",
		CHARLIE_DRAGON_HOUSE = "A great biological nest.",
		CHARLIE_HEART = 
		{
		   	GENERIC = "Valentine's Day should be paired with pink!",,
			PICKED = "I will come back to harvest love in a while.",		
		},		
		CHARLIE_HEART_CORE = "It's incomplete, I need to find a way to fix it.",
		CHARLIE_HEART_INV = "Cute Valentine's Day teddy bear, and not purely decorative!",
		CHARLIE_HEART_SEED = "Harvest love with love.",
		CHARLIE_CANDY = "Dual purpose Valentine's Day item.",
		CHARLIE_CASTLE = "My own castle, the best building for Valentine's Day!",		
		CHARLIE_COFFEE = "Don't forget to drink coffee to relax on Valentine's Day.",
		CHARLIE_VALENTINE_DAY_BUBBLE = "Is it a cloud, or a dialogue box?",
		CHARLIE_VALENTINE_DAY_COFFEE = "Rose needs this cup of coffee!",
		CHARLIE_VALENTINE_DAY_ENVELOPE = "To express love, open it up and take a look?",
		CHARLIE_VALENTINE_DAY_GIFT = "Accept love!",
		CHARLIE_ROSE_GROUP = "Rose is good, but a group of roses is even better!",
		CHARLIE_WINE = "A glass of fine wine to celebrate Valentine's Day.",
		VALENTINE_DAY_FISHING_ROD = "Will there be love fish?",		
		CHARLIE_ROSE_2024 = 
		{
		   	GENERIC = "This rose has a magical attraction.",
			NORMAL = "This rose has a magical attraction.",		
            HALFGROW = "There is still some time to wait.",			
            PICKED = "It will grow through magic!",				
		},		
		
		--2024 Summer Mod Update
        SUMMEREVENT_EGGRIDE1 = "Even in summer, these eggs are well preserved!",
        SUMMEREVENT_EGGRIDE2 = "Yeah, playtime is always so short.",
        SUMMEREVENT_EGGRIDE3 = "It's an imitation, so it won't harm anyone or anything。",
        SUMMEREVENT_EGGRIDE4 = "It looks like a mini version of a construction site building.",
        SUMMEREVENT_EGGRIDE1_KIT = "After placement, we can better celebrate summer event.",
        SUMMEREVENT_EGGRIDE2_KIT = "It needs to be placed for everyone to appreciate.",
        SUMMEREVENT_EGGRIDE3_KIT = "Take action to build summer event buildings.",
        SUMMEREVENT_EGGRIDE4_KIT = "It won't serve as a decoration in my hands.",
		
		--Wendy Refresh Mod
		SISTURN = "A way to connect friendship!",
		REVIVER = "It can help anyone in need.",
		GHOSTFLOWER = "But I didn't see glory.",
		GHOSTLYELIXIR_SLOWREGEN = "It can cure a ghost anyway.",
		GHOSTLYELIXIR_FASTREGEN = "Take effect faster!",
		GHOSTLYELIXIR_SHIELD = "That doesn't suit me.",
		GHOSTLYELIXIR_RETALIATION = "Give the attacker a lesson.",
		GHOSTLYELIXIR_ATTACK = "Call... the power of... darkness.",
		GHOSTLYELIXIR_SPEED = "Agile.",
		
		--"Terra Firma Tamper" Mod
		TURFCRAFTINGSTATION = "Show me some knowledge of turfs.",
		TURF_CARPETFLOOR2 = "Rose carpet suitable for me!",
		TURF_MOSAIC_BLUE = "Redesign the stage of the world.",
		TURF_MOSAIC_GREY = "Grey will do.",
		TURF_MOSAIC_RED = "Let's try pairing with red.",
		TURF_RUINSBRICK = "Full of shadow power.",
		TURF_RUINSBRICK_GLOW = "That's not real light.",
		TURF_RUINSTILES = "A masterpiece of the ancients...",
		TURF_RUINSTILES_GLOW = "Apparently they don't know it's not light.",
		TURF_RUINSTRIM = "Only decorative function.",
		TURF_RUINSTRIM_GLOW = "Even then, it is only decorative.",

        --"My Pets" Mod
		CRITTERLAB = "A pet's den!",
        CRITTER_GLOMLING = "This is so CUTE!",
        CRITTER_DRAGONLING = "A very hot-headed pet.",
		CRITTER_LAMB = "It doesn't look as mean as it's mommy...",
        CRITTER_PUPPY = "I-I hope it doesn't bite.",
        CRITTER_KITTEN = "Here, kittykit kittykit!",
        CRITTER_PERDLING = "This one loves berries!",
		CRITTER_LUNARMOTHLING = "Will you keep Them away?",
		
		--Skin MOD
        ANNOUNCE_NOWARDROBEONFIRE = "Uh. It's on fire.",
		HUAWARDROBE = 
		{
			GENERIC = "Time for a costume change!",
            BURNING = "Oh no.",
			BURNT = "Ooh, my dresses...",
		},

		--[[WARDROBE = 
		{
			GENERIC = "Time for a costume change!",
            BURNING = "Oh no.",
			BURNT = "Ooh, my dresses...",
		},]]
		
		--Winona Mod
        WINONA_CATAPULT = 
        {
		    GENERIC = "My sister has always been good engineer...",
        	OFF = "Is off, eh?",
        	BURNING = "Oh no, it is burning!",
        	BURNT = "It is useless now...",
		},
        WINONA_SPOTLIGHT = 
        {
        	GENERIC = "Thank you, sis! It's just what I wanted!",
        	OFF = "No light! It must be dead!",
        	BURNING = "Oh no, it is burning!",
        	BURNT = "It is useless now...",
        },
        WINONA_BATTERY_LOW = 
        {
        	GENERIC = "I don't quite understand its purpose...",
        	LOWPOWER = "Is it in the low-energy stage?",
        	OFF = "Did it have no energy?",
        	BURNING = "Oh no, it is burning!",
        	BURNT = "It is useless now...",
        },
        WINONA_BATTERY_HIGH = 
        {
        	GENERIC = "Maybe my sister understands...",
        	LOWPOWER = "I have to ask my sister...",
        	OFF = "Is off, eh?",
        	BURNING = "Oh no, it is burning!",
        	BURNT = "It is useless now...",
        },
		
	},
	DESCRIBE_GENERIC = "It's a... thing.",
	DESCRIBE_TOODARK = "My vision is limited to the light, now.",
	DESCRIBE_SMOLDERING = "Oh no, it's catching fire!",
	DESCRIBE_MYSTERY = "I think there's something hidden.",
	DESCRIBE_NEARSIGHTED = "I can't see at all!",
	EAT_FOOD =
	{
		TALLBIRDEGG_CRACKED = "Oh! I-it's crunchy!",
	},
}