require("stategraphs/commonstates")

local actionhandlers =
{
}

local events =
{
    CommonHandlers.OnLocomote(false, true),
	--[[EventHandler("hitwater", function(inst)
		inst.sg:GoToState("idle")
    end),]]
	EventHandler("hitland", function(inst)
		inst.sg:GoToState("idle")
    end),
    EventHandler("onturnoff", function(inst)
        inst.sg:GoToState("idle")
    end),
}

local states =
{
    State{
        name = "idle",
        tags = {"idle", "canrotate"},
        onenter = function(inst)
            inst.components.locomotor:StopMoving()
            inst.AnimState:PlayAnimation(
                inst.GetIsOnWater ~= nil and inst:GetIsOnWater() and "idle"
                or "idle_ground",
                true)
        end,
    },
}

CommonStates.AddWalkStates(states)

return StateGraph("sgminiboatlantern", states, events, "idle", actionhandlers)
